SET FOREIGN_KEY_CHECKS=0;
SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

CREATE TABLE `_blocked_ips` (
  `ID` int(11) NOT NULL,
  `IP` varchar(15) COLLATE utf8mb4_bin NOT NULL,
  `until` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `reason` varchar(20) COLLATE utf8mb4_bin DEFAULT NULL,
  `time_add` timestamp NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

CREATE TABLE `_curl_cache` (
  `ID` int(11) NOT NULL,
  `hashID` varchar(64) COLLATE utf8mb4_bin NOT NULL,
  `url` varchar(400) COLLATE utf8mb4_bin NOT NULL,
  `options` mediumtext COLLATE utf8mb4_bin,
  `request_body` mediumtext COLLATE utf8mb4_bin,
  `request_header` text COLLATE utf8mb4_bin,
  `response_body` longtext COLLATE utf8mb4_bin,
  `response_header` text COLLATE utf8mb4_bin,
  `time_start` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

CREATE TABLE `_debug` (
  `ID` int(11) NOT NULL,
  `table` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL,
  `type` varchar(20) COLLATE utf8mb4_bin NOT NULL,
  `query` longtext COLLATE utf8mb4_bin,
  `safe` int(1) DEFAULT '0',
  `generic` int(1) DEFAULT '0',
  `time_add` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

CREATE TABLE `_emails` (
  `ID` int(6) NOT NULL,
  `user_id` int(7) DEFAULT NULL,
  `type_id` int(3) DEFAULT NULL,
  `to` varchar(100) COLLATE utf8mb4_bin NOT NULL,
  `subject` varchar(300) COLLATE utf8mb4_bin NOT NULL,
  `content` text COLLATE utf8mb4_bin,
  `time_add` timestamp NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

CREATE TABLE `_hits` (
  `ID` int(11) NOT NULL,
  `page_type` varchar(30) COLLATE utf8mb4_bin DEFAULT NULL,
  `page_hook` int(11) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `request_url` text COLLATE utf8mb4_bin,
  `request_sessid` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL,
  `request_cookies` mediumtext COLLATE utf8mb4_bin,
  `request_posts` mediumtext COLLATE utf8mb4_bin,
  `request_params` mediumtext COLLATE utf8mb4_bin,
  `ip` varchar(15) COLLATE utf8mb4_bin DEFAULT NULL,
  `ip_country` varchar(2) COLLATE utf8mb4_bin DEFAULT NULL,
  `agent` tinytext COLLATE utf8mb4_bin,
  `agent_model` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL,
  `agent_type` varchar(10) COLLATE utf8mb4_bin DEFAULT NULL,
  `agent_os` varchar(30) COLLATE utf8mb4_bin DEFAULT NULL,
  `agent_browser` varchar(30) COLLATE utf8mb4_bin DEFAULT NULL,
  `agent_engine` varchar(30) COLLATE utf8mb4_bin DEFAULT NULL,
  `referer` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL,
  `referer_full` mediumtext COLLATE utf8mb4_bin,
  `time_add` timestamp NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

CREATE TABLE `_langs` (
  `ID` int(6) NOT NULL,
  `hook` varchar(40) COLLATE utf8mb4_bin NOT NULL,
  `lang` varchar(2) COLLATE utf8mb4_bin NOT NULL DEFAULT 'en',
  `text` tinytext COLLATE utf8mb4_bin NOT NULL,
  `time_add` timestamp NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

INSERT INTO `_langs` VALUES(1, 'dir', 'en', 'ltr', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(2, 'signup_h1', 'en', 'Register', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(3, 'email', 'en', 'email', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(4, 'password', 'en', 'password', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(5, 'password_verify', 'en', 'Password Again', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(6, 'signup_term_agree', 'en', 'Check this box to agree with our terms and continue', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(7, 'continue', 'en', 'continue', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(8, 'cancel', 'en', 'cancel', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(9, 'signup_closed', 'en', 'We don\'t accept new members', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(10, 'terms_agreed_missing', 'en', 'You have to agree to our terms in order to register. If you can\'t, Please consider using another service', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(11, 'pws_no_match', 'en', 'Password and password-repeat don\'t match!', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(12, 'invalid_email', 'en', 'Email is not valid', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(13, 'invalid_password', 'en', 'Password is invalid', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(14, 'invalid_password2', 'en', 'Password-repeat is invalid', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(15, 'username', 'en', 'username', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(16, 'invalid_username', 'en', 'Username is invalid', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(17, 'email_exists', 'en', 'This email exists. Try recovering the password', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(18, 'username_exists', 'en', 'This username is taken. Choose another one', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(19, 'verify_now', 'en', 'Sign up was successful. Please check your email for verification link and click on it', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(20, 'created', 'en', 'Sign up was successful. Log in to start!', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(21, 'login_h1', 'en', 'Login', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(22, 'welcome', 'en', 'Login successful. Welcome', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(23, 'wrong_auth', 'en', 'Email and/or password is wrong', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(24, 'unverified_user', 'en', 'This email has not been verified yet. Please check your inbox/spam and click on verification link', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(25, 'signup', 'en', 'signup', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(26, 'login', 'en', 'login', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(27, 'forget_pass_txt', 'en', 'Forgot your password?', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(28, 'm_home', 'en', 'home', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(29, 'm_account', 'en', 'account', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(30, 'm_login', 'en', 'login', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(31, 'm_register', 'en', 'become a member', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(32, 'm_search', 'en', 'search', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(33, 'done', 'en', 'Successfully done', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(34, 'm_upload', 'en', 'upload', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(35, 'type_1', 'en', 'liked', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(36, 'type_2', 'en', 'reposted', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(37, 'type_3', 'en', 'uploaded', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(38, 'type_4', 'en', 'playlisted', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(39, 'm_admin', 'en', 'Admin', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(40, 'type_5', 'en', 'commented', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(41, 'type_6', 'en', 'followed', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(42, 'feed', 'en', 'feed', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(43, 'activities', 'en', 'activities', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(44, 'tracks', 'en', 'tracks', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(45, 'albums', 'en', 'albums', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(46, 'purchased', 'en', 'purchased', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(47, 'uploads', 'en', 'uploads', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(48, 'likes', 'en', 'likes', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(49, 'reposts', 'en', 'reposts', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(50, 'playlists', 'en', 'playlists', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(51, 'followers', 'en', 'followers', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(52, 'followings', 'en', 'followings', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(53, 'setting', 'en', 'setting', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(54, 'search_placeholder', 'en', 'Search query ...', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(55, 'upload', 'en', 'upload', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(56, 'logout', 'en', 'logout', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(57, 'upgrade', 'en', 'upgrade', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(58, 'all', 'en', 'all', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(59, 'artists', 'en', 'artists', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(60, 'featuring', 'en', 'featuring', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(61, 'second', 'en', 'second', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(62, 'seconds', 'en', 'seconds', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(63, 'minute', 'en', 'minute', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(64, 'minutes', 'en', 'minutes', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(65, 'hour', 'en', 'hour', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(66, 'hours', 'en', 'hours', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(67, 'day', 'en', 'day', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(68, 'days', 'en', 'days', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(69, 'month', 'en', 'month', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(70, 'months', 'en', 'months', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(71, 'year', 'en', 'year', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(72, 'years', 'en', 'years', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(73, 'ago', 'en', 'ago', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(74, 'play', 'en', 'play', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(75, 'buy_for', 'en', 'buy for $price$', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(76, 'add_to_playlist', 'en', 'add to playlist', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(77, 'perform', 'en', 'perform', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(78, 'create_new_playlist', 'en', 'create new playlist', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(79, 'add_to_playlist_tip', 'en', 'select a playlist or create a new one', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(80, 'purchase_song', 'en', 'purchase a song', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(81, 'item_name', 'en', 'item name', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(82, 'item_price', 'en', 'item price', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(83, 'account_funt', 'en', 'account fund', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(84, 'add_funds', 'en', 'add more funds', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(85, 'confirm', 'en', 'confirm', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(86, 'purchase_premium', 'en', 'purchase premium', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(87, 'purchase_premium_tip', 'en', 'premium account for a month', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(88, 'members_only', 'en', 'members only!', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(89, 'members_only_tip', 'en', 'sign up to access a lot of amazing features', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(90, 'wait', 'en', 'Wait ...', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(91, 'bought_song', 'en', 'bought $song$', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(92, 'bought_pro', 'en', 'upgraded to `Paid`', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(93, 'added_fund', 'en', 'Added funds $order_id$', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(94, 'sold_song', 'en', 'sold $song$', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(95, 'album_tracks_data', 'en', '$count$ tracks, $duration$ minutes', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(96, 'playlist_track_data', 'en', '$count$ tracks', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(97, 'bought_album', 'en', 'bought $album$', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(98, 'sold_album', 'en', 'sold $album$', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(99, 'withdrew', 'en', 'Withdrew', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(100, 'p_index_title', 'en', 'Feel the music', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(101, 'p_index_desc', 'en', 'Discover best music in world for free', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(102, '404_title', 'en', 'Not Found', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(103, '404_tip', 'en', 'Sorry. We failed to find this page', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(104, '404_goback', 'en', 'Go back to home', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(105, 'popular_tracks', 'en', 'Popular Tracks', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(106, 'studio_albums', 'en', 'Studio Albums', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(107, 'single_albums', 'en', 'Single Albums', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(108, 'albums_as_guest', 'en', 'Featured in', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(109, 'related_artists', 'en', 'Related Artists', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(110, 'next_page', 'en', 'Next page', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(111, 'genre_no_res', 'en', 'No results. Try browsing other genres from the list below', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(112, 'no_access_title', 'en', 'No Access', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(113, 'no_access_tip', 'en', 'You can\'t access this page', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(114, 'add_to', 'en', 'Add to', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(115, 'repost', 'en', 'repost', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(116, 'share', 'en', 'share', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(117, 'unrepost', 'en', 'Un-Repost', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(118, 'unlike', 'en', 'unlike', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(119, 'like', 'en', 'like', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(120, 'no_result', 'en', 'No results were found', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(121, 'playlist_comment', 'en', 'This playlist was created by $user$ $time_add$ ago. Last update was done $time_up$ ago', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(122, 'created_by', 'en', 'Created by', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(123, 'add_to_pl', 'en', 'Add to playlist', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(124, 'remove_from_pl', 'en', 'remove from playlist', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(125, 'add_to_qu', 'en', 'add to queue', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(126, 'removed', 'en', 'removed', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(127, 'confirm_action', 'en', 'Confirm your action', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(128, 'remove_playlist', 'en', 'Remove a playlist', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(129, 'download', 'en', 'download', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(130, 'delete', 'en', 'delete', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(131, 'remove', 'en', 'remove', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(132, 'comments_title', 'en', '$count$ comments', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(133, 'comment_placeholder', 'en', 'Write a comment', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(134, 'ts_advertisement', 'en', 'Advertisement', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(135, 'ts_more_track', 'en', 'More Tracks', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(136, 'ts_in_playlists', 'en', 'In Playlists', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(137, 'ts_likes', 'en', 'Liked by', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(138, 'ts_reposts', 'en', 'Reposted by', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(139, 'user_act_text', 'en', '$user$ <b>$act_name$</b> a track <b>$artist$</b>', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(140, 'time_ago', 'en', '$time$ ago', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(141, 'load_more', 'en', 'load more', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(142, 'user_act_empty', 'en', 'This user has been in-active so far', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(143, 'user_feed_empty', 'en', 'Your feed is empty. Try following some active users', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(144, 'payment', 'en', 'payment', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(145, 'successful', 'en', 'Successful', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(146, 'failed', 'en', 'failed', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(147, 'pay_done', 'en', 'Your payment was successful and $amount$ has been added to your walltet', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(148, 'pay_pending', 'en', 'Your payment was successful and $amount$ will be added to your walltet after an admin verifies the payment', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(149, 'pay_fail', 'en', 'Please contatct supports or try again', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(150, 'user_no_playlist', 'en', 'User has not created any playlist yet', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(151, 'user_empty_playlist', 'en', 'No tracks added yet', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(152, 'edit', 'en', 'edit', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(153, 'updated', 'en', 'updated', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(154, 'free', 'en', 'free', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(155, 'pro_name', 'en', 'Paid', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(156, 'mo', 'en', 'MO', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(157, 'normal_name', 'en', 'starter plan', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(158, 'normal_text', 'en', 'Listen to free songs\r\nCreate playlists', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(159, 'pro_text', 'en', 'Listen to premium songs\r\nDownload songs\r\nUpload songs\r\nGet verified badge', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(160, 'upload_drop_text', 'en', 'Drop audios here to start upload', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(161, 'upload_drop_text2', 'en', 'or click to select files', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(162, 'upload_progress', 'en', 'tracks uploaded', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(163, 'upload_edit_tip', 'en', 'The uploaded tracks are here! You can edit each of them individualy or you can edit a bunch of them as an album', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(164, 'name', 'en', 'name', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(165, 'artist', 'en', 'artist', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(166, 'genre', 'en', 'genre', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(167, 'duration', 'en', 'duration', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(168, 'bitrate', 'en', 'bitrate', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(169, 'price', 'en', 'price', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(170, 'upload_edit_t_title', 'en', 'Edit a track', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(171, 'title', 'en', 'title', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(172, 'featured_artists', 'en', 'Featured Artists', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(173, 'album_type', 'en', 'Album Type', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(174, 'album_title', 'en', 'Album Title', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(175, 'album_artist', 'en', 'Album Artist', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(176, 'album_order', 'en', 'Album Order', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(177, 'description', 'en', 'description', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(178, 'file', 'en', 'file', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(179, 'lyrics', 'en', 'lyrics', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(180, 'spotify_id', 'en', 'Spotify ID', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(181, 'detail', 'en', 'detail', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(182, 'sources', 'en', 'sources', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(183, 'featured_artists_tip', 'en', 'Seperate artists by semicolons ;', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(184, 'save', 'en', 'save', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(185, 'upload_edit_a_title', 'en', 'Edit an Album', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(186, 'release', 'en', 'Release date', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(187, 'prev_page', 'en', 'Previous page', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(188, 'new_playlist', 'en', 'new playlist', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(189, 'edit_profile', 'en', 'Edit Profile', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(190, 'create_pl_name_tip', 'en', 'Choose a name for your new playlist', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(191, 'real_name', 'en', 'real name', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(192, 'stage_name', 'en', 'stage name', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(193, 'up_photo_doc', 'en', 'upload photo document', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(194, 'more_data', 'en', 'Additional data', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(195, 'more_data_ph', 'en', 'Additional information about you', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(196, 'artist_verify_wait', 'en', 'Your request is being processed', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(197, 'click_to_select', 'en', 'Click to select files', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(198, 'artist_verify_note', 'en', 'Send your real-name, stage-name and a photo of your ID to verify your account', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(199, 'send', 'en', 'send', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(200, 'amount', 'en', 'amount', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(201, 'artist_pay_note', 'en', 'Submit your bank account number', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(202, 'more_data_ph2', 'en', 'Additional information about payment or bank account', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(203, 'new_password', 'en', 'new password', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(204, 'profile_picture', 'en', 'profile picture', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(205, 'comments', 'en', 'comments', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(206, 'no_transactions_yet', 'en', 'No transactions yet', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(207, 'balance', 'en', 'balance', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(208, 'time', 'en', 'time', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(209, 'status', 'en', 'status', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(210, 'pending', 'en', 'pending', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(211, 'last_activity', 'en', 'last activity', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(212, 'right_now', 'en', 'right now', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(213, 'create', 'en', 'create', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(214, 'us_general_setting', 'en', 'General Settings', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(215, 'us_profile_setting', 'en', 'Profile Settings', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(216, 'us_feed_setting', 'en', 'Notification & Feed Settings', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(217, 'us_change_password', 'en', 'Change Password', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(218, 'us_manage_sessions', 'en', 'Manage Sessions', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(219, 'us_transactions', 'en', 'Transactions', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(220, 'us_verification', 'en', 'Artist Verification', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(221, 'add_fund_title', 'en', 'Add funds', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(222, 'dep_amount', 'en', 'Deposit amount', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(223, 'dep_amount_tip', 'en', 'Enter amount', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(224, 'pay_method', 'en', 'Payment Method', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(225, 'paypal', 'en', 'Paypal', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(226, 'bank_tf', 'en', 'Bank Transfer', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(227, 'open', 'en', 'open', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(228, 'move', 'en', 'move', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(229, 'fullscreen', 'en', 'fullscreen', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(230, 'fund', 'en', 'funds', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(231, 'loading', 'en', 'loading', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(232, 'pause', 'en', 'pause', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(233, 'download_tip', 'en', 'How would you like your file(s)?', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(234, 'get_links', 'en', 'Get Link(s)', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(235, 'download_links', 'en', 'Download Links', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(236, 'download_links_tip', 'en', 'Copy and use download link(s)', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(237, 'pt_user_purchased', 'en', 'Your purchased songs', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(238, 'pt_user_reposts', 'en', '$users$\'s reposts', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(239, 'pt_user_setting', 'en', 'User Settings', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(240, 'pt_user_upgrade', 'en', 'Upgrade your account', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(241, 'pt_user_upload_edi', 'en', 'Review & Submit upload', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(242, 'pt_user_uploads', 'en', '$user$\'s uploads', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(243, 'pt_user', 'en', '$user$\'s activities', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(244, 'pt_user_feed', 'en', 'Your feed', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(245, 'pt_user_followers', 'en', '$user$\'s followers', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(246, 'pt_user_followings', 'en', '$user$\'s followings', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(247, 'pt_user_likes', 'en', '$user$\'s likes', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(248, 'pt_user_pay_result', 'en', 'Payment Results', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(249, 'pt_user_playlists', 'en', '$user$\'s playlists', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(250, 'pt_playlist', 'en', 'Playlist $playlist$ by $user$', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(251, 'pt_genre', 'en', 'Genres', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(252, 'posted', 'en', 'Your comment was posted on the website', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(253, 'waiting_4_approve', 'en', 'Your comment will be posted on the website after being confirmed by an admin', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(254, 'liked', 'en', 'liked', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(255, 'unliked', 'en', 'unliked', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(256, 'reposted', 'en', 'reposted', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(257, 'unreposted', 'en', 'Repost removed', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(258, 'artist_name', 'en', 'Artist name', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(259, 'album_artist_name', 'en', 'album artist name', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(260, 'album_time', 'en', 'album release date', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(261, 'album_cover', 'en', 'album cover', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(262, 'album_genre', 'en', 'album genre', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(263, 'error', 'en', 'error', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(264, 'album', 'en', 'album', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(265, 'time_release', 'en', 'Release time', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(266, 'tracks_uploaded', 'en', '$tracks$ uploaded', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(267, 'fund_shortage', 'en', 'You don\'t have enough funds. Add some more', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(268, 'invalid_time', 'en', 'invalid time', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(269, 'incorrect_password', 'en', 'incorrect password', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(270, 'need_at_least_one', 'en', 'need at least one ', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(271, 'invalid_image', 'en', 'invalid image', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(272, 'amount_is_too_low', 'en', 'amount is too low', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(273, 'long_comment', 'en', 'long comment', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(274, 'uploader', 'en', 'uploader', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(275, 'share_this', 'en', 'Share this $target$', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(276, 'track', 'en', 'track', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(277, 'playlist', 'en', 'playlist', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(278, 'admin', 'en', 'admin', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(279, 'us_artist_withdrawal', 'en', 'Artist Withdraw', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(280, 'no_source', 'en', 'There is a problem with this track. Play another one', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(281, 'rec_type_72', 'en', '$user$ submitted new payment with amount of $amount$', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(282, 'rec_type_73', 'en', '$user$ made a new purchase', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(283, 'rec_type_69', 'en', '$user$ created a new advertisement campaign', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(284, 'dont_talk_back', 'en', 'This is an automatic message. Please don\'t reply to it', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(285, 'not_new_upload', 'en', 'New upload', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(286, 'not_new_purchase', 'en', 'New purchase', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(287, 'not_new_comment', 'en', 'New comment', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(288, 'not_new_user', 'en', 'New user', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(289, 'not_new_report', 'en', 'New Track Report', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(290, 'not_new_advertisement', 'en', 'New Advertisement Campaign', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(291, 'not_new_artist_request', 'en', 'New artist verification request', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(292, 'not_new_artist_withdrawal', 'en', 'New artist withdrawal request', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(293, 'not_new_payment', 'en', 'New payment', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(294, 'rec_type_66', 'en', '$user$ made a new comment', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(295, 'rec_type_67', 'en', '$user$ signed up', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(296, 'rec_type_68', 'en', '$user$ reported a track', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(297, 'rec_type_74', 'en', '$user$ uploaded a new track', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(298, 'recover_h1', 'en', 'Account Recovery', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(299, 'forget_pass_tip', 'en', 'Submit your email then check it for recovery link', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(300, 'recovery_m_sent', 'en', 'We sent an email containing a recovery link to your email. Click on that link to recover your password', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(301, 'rec_type_70', 'en', '$user$ requested artist verification', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(302, 'rec_type_71', 'en', '$user$ request fund withdrawal', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(303, 'recover_failed', 'en', 'This link is expired or invalid. Try again', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(304, 'purchase_to_hear', 'en', 'Purchase this item to support the artist and hear the full version', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(305, 'not_purchased', 'en', 'Not Purchased', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(306, 'start_station', 'en', 'Start Station', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(307, 'que_up_next', 'en', 'Up Next:', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(308, 'm_discover', 'en', 'discover', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(309, 'm_trending', 'en', 'trending', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(310, 'm_albums', 'en', 'albums', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(311, 'm_tracks', 'en', 'tracks', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(312, 'm_artists', 'en', 'artists', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(313, 'm_genres', 'en', 'genres', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(314, 'm_store', 'en', 'store', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(315, 'm_browse', 'en', 'browse', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(316, 'm_purchased', 'en', 'purchased', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(317, 'm_your_music', 'en', 'your music', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(318, 'm_user_likes', 'en', 'likes', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(319, 'm_user_reposts', 'en', 'reposts', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(320, 'm_user_playlists', 'en', 'playlists', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(321, 'p_home_title', 'en', 'Feel the music', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(322, 'p_w_new_albums', 'en', 'New Albums', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(323, 'p_w_new_tracks', 'en', 'New Tracks', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(324, 'p_home_desc', 'en', 'Listen to free music', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(325, 'p_w_top_artists', 'en', 'Top Artists', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(326, 'p_w_premium_tracks', 'en', 'Priced Tracks', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(327, 'p_store_title', 'en', 'Store', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(328, 'p_store_desc', 'en', 'Browse our premium content', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(329, 'p_w_premium_albums', 'en', 'Premium Albums', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(330, 'p_w_top_sellers', 'en', 'Top Sellers', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(331, 'p_albums_title', 'en', 'Albums', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(332, 'p_albums_desc', 'en', 'Browse our albums', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(333, 'p_w_trending_albums', 'en', 'Trending Albums', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(334, 'p_w_top_albums', 'en', 'Top Albums', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(335, 'p_w_recently_heard', 'en', 'Recently Heard', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(336, 'p_tracks_title', 'en', 'Tracks', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(337, 'p_tracks_desc', 'en', 'Browse our tracks', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(338, 'p_w_trending_tracks', 'en', 'Trending Tracks', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(339, 'p_w_top_tracks', 'en', 'Top Tracks', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(340, 'p_w_most_liked', 'en', 'Most Liked', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(341, 'p_w_most_viewed', 'en', 'Most Viewed', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(342, 'p_w_local_tracks', 'en', 'Uploaded Tracks', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(343, 'p_w_top_downloaded', 'en', 'Top Downloaded', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(344, 'p_artists_title', 'en', 'Artists', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(345, 'p_artists_desc', 'en', 'Browse thro our arists', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(346, 'p_w_trending_artists', 'en', 'Trending Artists', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(347, 'p_w_verified_artists', 'en', 'Verified Artists', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(348, 'p_trending_title', 'en', 'Trending', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(349, 'p_trending_desc', 'en', 'Browse hottest songs on web right now', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(350, 'p_w_trending_single_', 'en', 'Trending Single Albums', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(351, 'background_picture', 'en', 'Background Picture', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(352, 'shuffle', 'en', 'shuffle', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(353, 'clear', 'en', 'clear', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(354, 'song_by', 'en', 'Song by:', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(355, 'heard', 'en', 'heard', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(356, 'no_playlist', 'en', 'No playlist created yet', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(357, 'already_done', 'en', 'Already done', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(358, 'cant_like_own_cm', 'en', 'You can\'t like your own comments!', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(359, 'act_type_1', 'en', '$user$ liked track $track$ from $artist$', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(360, 'act_type_2', 'en', '$user$ reposted track $track$ from $artist$', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(361, 'subscribe', 'en', 'subscribe', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(362, 'act_type_3', 'en', '$user$ uploaded track $track$ from $artist$', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(363, 'act_type_5', 'en', '$user$ commented on track $track$ from $artist$', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(364, 'act_type_8', 'en', '$user$ liked $target$\'s comment on $track$', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(365, 'act_type_6', 'en', '$user$ started following user $target$', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(366, 'unsubscribe', 'en', 'unsubscribe', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(367, 'act_type_10', 'en', '$user$ subscribed to artist $artist$', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(368, 'act_type_12', 'en', '$user$ subscribed to playlist $playlist$ created by user $target$', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(369, 'act_type_13', 'en', '$user$ liked playlist $playlist$ created by user $target$', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(370, 'act_type_14', 'en', '$user$ liked album $album$ from $artist$', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(371, 'rec_type_1', 'en', '$user$ liked $track$', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(372, 'rec_type_8', 'en', '$user$ liked your comment on $track$', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(373, 'rec_type_13', 'en', '$user$ liked your playlist $playlist$', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(374, 'rec_type_14', 'en', '$user$ liked $album$', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(375, 'rec_type_6', 'en', '$user$ started following you', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(376, 'rec_type_12', 'en', '$user$ subscribed to playlist $playlist$', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(377, 'rec_type_2', 'en', '$user$ reposted $track$', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(378, 'subscribers', 'en', 'subscribers', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(379, 'act_type_15', 'en', '$user$ updated playlist $playlist$', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(380, 'rec_type_11', 'en', 'playlist $playlist$ just got updated', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(381, 'rec_type_4', 'en', '$user$ made a comment on $track$', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(382, 'rec_type_7', 'en', '$user$ replied to your comment on $track$', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(383, 'rec_type_9', 'en', '$user$ mentioned you in a comment on $track$', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(384, 'no_nots_yet', 'en', 'Nothing to see', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(385, 'rec_type_16', 'en', '$artist$ has a new release', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(386, 'rec_type_18', 'en', 'Your payment was successful and $amount$$currency$ was added to your wallet', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(387, 'rec_type_19', 'en', '$user$ purchased track $track$', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(388, 'act_type_19', 'en', '$user$ purchased track $track$ from $artist$', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(389, 'rec_type_20', 'en', '$user$ purchased album $album$', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(390, 'act_type_20', 'en', '$user$ purchased album $album$ from $artist$', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(391, 'rec_type_21', 'en', 'You are VIP now!', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(392, 'username_no_exists', 'en', 'username:$username$ doesn\'t exists', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(393, 'rec_type_24', 'en', '$user$ got collabed in playlist $playlist$', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(394, 'act_type_24', 'en', '$user$ is now collabing in playlist $playlist$', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(395, 'rec_type_25', 'en', 'You are now a collab of playlist $playlist$', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(396, 'sls_separator', 'en', 'or use your account', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(397, 'us_change_username', 'en', 'Change Username', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(398, 'us_advertising', 'en', 'Advertising', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(399, 'rec_type_26', 'en', 'Your advertisement is now active', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(400, 'bought_ads', 'en', 'Advertising', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(401, 'no_ads_yet', 'en', 'No ads yet', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(402, 'banner_c', 'en', 'Banner - PayPerClick', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(403, 'banner_v', 'en', 'Banner - PayPerView', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(404, 'audio_v', 'en', 'Audio - PayPerImpression', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(405, 'pl_track_page', 'en', '`Track` page', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(406, 'not_like_track', 'en', 'New track like', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(407, 'not_repost_track', 'en', 'New track repost', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(408, 'not_follow_user', 'en', 'New follower', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(409, 'not_like_comment', 'en', 'Comment got liked', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(410, 'not_follow_playlist', 'en', 'New playlist follower', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(411, 'not_like_playlist', 'en', 'New playlist like', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(412, 'not_like_album', 'en', 'New album like', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(413, 'not_purchased_track', 'en', 'New track purchase', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(414, 'not_purchased_album', 'en', 'New album purchase', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(415, 'not_collab_playlist', 'en', 'New playlist collaborator', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(416, 'not_collabed_playlist', 'en', 'New playlist as collaborator', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(417, 'not_purchased_ads', 'en', 'New active advertisement', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(418, 'not_commented_track', 'en', 'New track comment', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(419, 'not_commented_comment', 'en', 'New comment reply', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(420, 'not_mentioned_comment', 'en', 'New comment mention', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(421, 'not_updated_playlist', 'en', 'New subscribed playlist update', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(422, 'not_updated_artist', 'en', 'New subscribed artist update', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(423, 'not_purchased_receipt', 'en', 'New approved payment', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(424, 'not_purchased_vip', 'en', 'New panel upgrade', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(425, 'feed_like_track', 'en', 'User liked a track', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(426, 'feed_repost_track', 'en', 'User reposted a track', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(427, 'feed_upload_track', 'en', 'User uploaded a track', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(428, 'feed_comment_track', 'en', 'User commented a track', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(429, 'feed_follow_user', 'en', 'User followed user', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(430, 'feed_like_comment', 'en', 'User liked a comment', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(431, 'feed_follow_artist', 'en', 'User subscribed to artist', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(432, 'feed_follow_playlist', 'en', 'User subscribed to playlist', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(433, 'feed_like_playlist', 'en', 'Usesr liked a playlist', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(434, 'feed_like_album', 'en', 'User liked an album', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(435, 'feed_update_playlist', 'en', 'User updated a playlist', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(436, 'feed_purchased_track', 'en', 'User purchased a track', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(437, 'feed_purchased_album', 'en', 'User purchased an album', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(438, 'feed_collab_playlist', 'en', 'User collaborating in playlist', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(439, 'ml_verify', 'en', 'Hi there. Please click on this link to complete your registration <br><a href=\'$link$\'>$link$</a>', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(440, 'mls_verify', 'en', 'Verification Link', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(441, 'ml_recover', 'en', 'Hi there. Click on this link or copy paste it into your browser to recover your account <br><a href=\'$link$\'>$link$</a>', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(442, 'mls_recover', 'en', 'Recover your account', '2021-03-22 14:47:43');
INSERT INTO `_langs` VALUES(443, 'rec_type_17', 'en', 'Hi there! Welcome. You are now officially a member and can enjoy our features', '2021-03-22 14:47:43');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES ( 'not_welcome_user', 'en', 'Welcome message' );
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES ( 'stripe', 'en', 'Stripe' );
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES ( 'no_pay_method', 'en', 'Payment is disabled' );
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES ( 'pl_artist_page', 'en', '`Artist` page' );
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES ( 'pl_album_page', 'en', '`Album` page' );
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES ( 'pl_playlist_page', 'en', '`Playlist` page' );

CREATE TABLE `_m_albums` (
  `ID` int(11) NOT NULL,
  `code` varchar(150) COLLATE utf8mb4_bin NOT NULL,
  `hash` varchar(32) COLLATE utf8mb4_bin NOT NULL,
  `title` varchar(200) COLLATE utf8mb4_bin NOT NULL,
  `type` varchar(20) COLLATE utf8mb4_bin DEFAULT NULL,
  `cover` tinytext COLLATE utf8mb4_bin,
  `url` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL,
  `local` int(1) DEFAULT NULL,
  `comment` longtext COLLATE utf8mb4_bin,
  `user_id` int(7) DEFAULT NULL,
  `genre_id` int(2) DEFAULT NULL,
  `artist_id` int(6) DEFAULT NULL,
  `artist_name` varchar(100) COLLATE utf8mb4_bin NOT NULL,
  `artist_url` varchar(150) COLLATE utf8mb4_bin NOT NULL,
  `spotify_id` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL,
  `spotify_hits` int(3) DEFAULT NULL,
  `spotify_completed` int(1) DEFAULT NULL,
  `tracks_count` int(3) DEFAULT NULL,
  `tracks_duration` float DEFAULT NULL,
  `play_full` int(9) DEFAULT '0',
  `play_skip` int(9) DEFAULT '0',
  `play_full_m` int(6) DEFAULT '0',
  `play_skip_m` int(6) DEFAULT '0',
  `play_m` int(4) DEFAULT NULL,
  `views` int(11) DEFAULT '0',
  `likes` int(7) DEFAULT '0',
  `price` float DEFAULT NULL,
  `purchased` int(7) DEFAULT '0',
  `time_release` datetime DEFAULT NULL,
  `time_add` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `time_play` timestamp NULL DEFAULT NULL,
  `time_spotify_check` timestamp NULL DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

CREATE TABLE `_m_artists` (
  `ID` int(11) NOT NULL,
  `code` varchar(100) COLLATE utf8mb4_bin NOT NULL,
  `type` varchar(20) COLLATE utf8mb4_bin DEFAULT NULL,
  `name` varchar(100) COLLATE utf8mb4_bin NOT NULL,
  `url` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL,
  `spotify_id` varchar(30) COLLATE utf8mb4_bin DEFAULT NULL,
  `spotify_hits` int(3) DEFAULT NULL,
  `image` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL,
  `user_id` int(7) DEFAULT NULL,
  `play_full` int(11) DEFAULT '0',
  `play_skip` int(11) DEFAULT '0',
  `play_full_m` int(7) DEFAULT '0',
  `play_skip_m` int(7) DEFAULT '0',
  `play_m` int(4) DEFAULT NULL,
  `views` int(11) DEFAULT '0',
  `followers` int(7) DEFAULT '0',
  `time_add` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `time_spotify_search` timestamp NULL DEFAULT NULL,
  `time_play` timestamp NULL DEFAULT NULL,
  `time_release_check` timestamp NULL DEFAULT NULL,
  `time_release` timestamp NULL DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=COMPACT;

CREATE TABLE `_m_genres` (
  `ID` int(4) NOT NULL,
  `code` varchar(50) COLLATE utf8mb4_bin NOT NULL,
  `name` varchar(50) COLLATE utf8mb4_bin NOT NULL,
  `image` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL,
  `url` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL,
  `time_add` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `deleted` int(5) DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

INSERT INTO `_m_genres` VALUES(1, 'nogenre', 'No-Genre', NULL, NULL, '2021-03-22 14:44:55', 0);

CREATE TABLE `_m_relations` (
  `ID1` int(6) NOT NULL,
  `ID2` int(6) NOT NULL,
  `type` varchar(10) COLLATE utf8mb4_bin NOT NULL,
  `time_add` timestamp NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

CREATE TABLE `_m_sources` (
  `ID` int(6) NOT NULL,
  `hash` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL,
  `track_id` int(11) NOT NULL,
  `type` varchar(10) COLLATE utf8mb4_bin NOT NULL,
  `data` varchar(300) COLLATE utf8mb4_bin NOT NULL,
  `duration` float DEFAULT NULL,
  `wave_bg` tinytext COLLATE utf8mb4_bin,
  `wave_pr` tinytext COLLATE utf8mb4_bin,
  `bitrate` int(6) DEFAULT NULL,
  `time_add` timestamp NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

CREATE TABLE `_m_tracks` (
  `ID` int(11) NOT NULL,
  `hash` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL,
  `code` varchar(150) COLLATE utf8mb4_bin NOT NULL,
  `title` varchar(200) COLLATE utf8mb4_bin NOT NULL,
  `cover` tinytext COLLATE utf8mb4_bin,
  `url` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL,
  `local` int(1) DEFAULT NULL,
  `has_source` int(1) DEFAULT NULL,
  `user_id` int(7) DEFAULT NULL,
  `genre_id` int(2) DEFAULT NULL,
  `artist_id` int(11) NOT NULL,
  `artist_name` varchar(100) COLLATE utf8mb4_bin NOT NULL,
  `artist_url` varchar(200) COLLATE utf8mb4_bin NOT NULL,
  `artists_featured` text COLLATE utf8mb4_bin,
  `album_id` int(6) DEFAULT NULL,
  `album_order` int(2) DEFAULT NULL,
  `album_artist_id` int(11) DEFAULT NULL,
  `album_title` varchar(200) COLLATE utf8mb4_bin NOT NULL,
  `album_url` varchar(250) COLLATE utf8mb4_bin NOT NULL,
  `album_artist_name` varchar(100) COLLATE utf8mb4_bin NOT NULL,
  `album_artist_url` varchar(150) COLLATE utf8mb4_bin NOT NULL,
  `sitelink` text COLLATE utf8mb4_bin,
  `soundcloud_url` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL,
  `itunes_url` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL,
  `youtube_id` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL,
  `bandcamp_id` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL,
  `spotify_id` varchar(30) COLLATE utf8mb4_bin DEFAULT NULL,
  `spotify_hits` int(3) DEFAULT NULL,
  `dl_link` text COLLATE utf8mb4_bin,
  `explicit` int(1) DEFAULT NULL,
  `duration` float DEFAULT NULL,
  `price` float DEFAULT NULL,
  `play_full` int(9) DEFAULT '0',
  `play_skip` int(9) DEFAULT '0',
  `play_full_m` int(6) DEFAULT '0',
  `play_skip_m` int(6) DEFAULT '0',
  `play_m` int(4) DEFAULT NULL,
  `views` int(11) DEFAULT '0',
  `likes` int(7) DEFAULT '0',
  `reposts` int(6) DEFAULT '0',
  `comments` int(6) DEFAULT '0',
  `playlisteds` int(6) DEFAULT '0',
  `downloads` int(11) DEFAULT '0',
  `purchased` int(7) DEFAULT '0',
  `time_release` datetime DEFAULT NULL,
  `time_add` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `time_play` timestamp NULL DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC;

CREATE TABLE `_m_tracks_data` (
  `track_id` int(11) NOT NULL,
  `comment` text COLLATE utf8mb4_bin,
  `lyrics` text COLLATE utf8mb4_bin
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

CREATE TABLE `_setting_admin` (
  `var` varchar(30) COLLATE utf8mb4_bin NOT NULL,
  `val` longtext COLLATE utf8mb4_bin NOT NULL,
  `time_update` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

INSERT INTO `_setting_admin` VALUES('ad_audio_iv', '3', '2021-03-14 12:30:45');
INSERT INTO `_setting_admin` VALUES('admin_ids', '1', '2021-03-22 14:52:36');
INSERT INTO `_setting_admin` VALUES('ads_approved', '0', '2021-03-13 04:03:59');
INSERT INTO `_setting_admin` VALUES('ads_hide_bot', '1', '2021-03-14 09:08:53');
INSERT INTO `_setting_admin` VALUES('audio_v_cost', '0.06', '2021-03-14 12:30:35');
INSERT INTO `_setting_admin` VALUES('aws', '0', '2021-03-07 21:36:59');
INSERT INTO `_setting_admin` VALUES('aws_bucket', '', '2021-03-22 14:51:50');
INSERT INTO `_setting_admin` VALUES('aws_endpoint', '', '2021-03-22 14:51:50');
INSERT INTO `_setting_admin` VALUES('aws_key', '', '2021-03-22 14:51:50');
INSERT INTO `_setting_admin` VALUES('aws_protect', '1', '2021-03-18 10:01:36');
INSERT INTO `_setting_admin` VALUES('aws_region', '', '2021-03-22 14:51:50');
INSERT INTO `_setting_admin` VALUES('aws_secret', '', '2021-03-22 14:51:50');
INSERT INTO `_setting_admin` VALUES('bank_data', 'Bank name, Location\r\nAccount number 0000-11-22-33\r\nBusyowl DigiMuse 4:20', '2021-03-22 14:49:53');
INSERT INTO `_setting_admin` VALUES('banner_c_cost', '0.05', '2021-03-14 12:30:35');
INSERT INTO `_setting_admin` VALUES('banner_v_cost', '0.01', '2021-03-14 12:30:35');
INSERT INTO `_setting_admin` VALUES('chunk', '1', '2020-08-13 14:16:51');
INSERT INTO `_setting_admin` VALUES('chunk_size', '1', '2020-08-21 22:23:47');
INSERT INTO `_setting_admin` VALUES('currency', '$', '2020-08-13 18:39:40');
INSERT INTO `_setting_admin` VALUES('currency_code', 'usd', '2020-08-13 14:14:19');
INSERT INTO `_setting_admin` VALUES('currency_format', '%CURRENCY%%.1f', '2021-03-18 12:25:16');
INSERT INTO `_setting_admin` VALUES('default_gid', '4', '2020-08-13 14:01:26');
INSERT INTO `_setting_admin` VALUES('domain', '', '2020-08-13 13:30:12');
INSERT INTO `_setting_admin` VALUES('download_limit', '0', '2020-08-18 01:52:44');
INSERT INTO `_setting_admin` VALUES('download_lock', '0', '2021-03-22 14:52:02');
INSERT INTO `_setting_admin` VALUES('download_range', '120', '2020-08-18 20:51:25');
INSERT INTO `_setting_admin` VALUES('email_s_encrypt', 'tls', '2020-08-13 16:56:13');
INSERT INTO `_setting_admin` VALUES('email_s_host', '', '2020-08-13 16:56:13');
INSERT INTO `_setting_admin` VALUES('email_s_pass', '', '2020-08-13 16:56:13');
INSERT INTO `_setting_admin` VALUES('email_s_port', '0', '2021-03-22 14:52:08');
INSERT INTO `_setting_admin` VALUES('email_s_type', 'mail', '2020-08-13 16:55:52');
INSERT INTO `_setting_admin` VALUES('email_s_user', '', '2021-03-22 14:52:11');
INSERT INTO `_setting_admin` VALUES('ffmpeg', '0', '2021-03-22 14:52:41');
INSERT INTO `_setting_admin` VALUES('ffmpeg_convert', '128', '2021-03-14 10:23:51');
INSERT INTO `_setting_admin` VALUES('ffmpeg_path', '', '2021-03-22 14:52:41');
INSERT INTO `_setting_admin` VALUES('ffmpeg_wave', '0', '2021-03-17 10:11:20');
INSERT INTO `_setting_admin` VALUES('ftp', '0', '2021-03-18 10:10:55');
INSERT INTO `_setting_admin` VALUES('ftp_address', '', '2021-03-22 14:51:50');
INSERT INTO `_setting_admin` VALUES('ftp_password', '', '2021-03-22 14:51:50');
INSERT INTO `_setting_admin` VALUES('ftp_path', '', '2021-03-22 14:51:50');
INSERT INTO `_setting_admin` VALUES('ftp_port', '21', '2021-03-06 20:33:15');
INSERT INTO `_setting_admin` VALUES('ftp_ssl', '0', '2021-03-07 00:03:20');
INSERT INTO `_setting_admin` VALUES('ftp_username', '', '2021-03-22 14:51:50');
INSERT INTO `_setting_admin` VALUES('ftp_web_address', '', '2021-03-22 14:51:50');
INSERT INTO `_setting_admin` VALUES('get_visitor_ip_data', '0', '2020-10-31 11:43:22');
INSERT INTO `_setting_admin` VALUES('heard_ratio', '40', '2020-10-18 07:42:24');
INSERT INTO `_setting_admin` VALUES('landing_page', '1', '2020-07-19 16:33:48');
INSERT INTO `_setting_admin` VALUES('lang', 'en', '2020-08-18 01:50:20');
INSERT INTO `_setting_admin` VALUES('langs', '{\"en\":\"English\"}', '2021-03-17 07:09:33');
INSERT INTO `_setting_admin` VALUES('max_par_ups', '1', '2020-08-18 01:52:32');
INSERT INTO `_setting_admin` VALUES('max_size', '20', '2021-03-22 14:50:06');
INSERT INTO `_setting_admin` VALUES('pay_bank', '0', '2020-10-31 11:43:45');
INSERT INTO `_setting_admin` VALUES('pay_pp', '0', '2020-10-31 11:43:44');
INSERT INTO `_setting_admin` VALUES('pg_op', '1', '2021-03-14 12:30:51');
INSERT INTO `_setting_admin` VALUES('pg_pp', '0', '2021-03-14 12:31:06');
INSERT INTO `_setting_admin` VALUES('pg_pp_k1', '', '2021-03-14 12:31:38');
INSERT INTO `_setting_admin` VALUES('pg_pp_k2', '', '2021-03-14 12:31:38');
INSERT INTO `_setting_admin` VALUES('pg_pp_sb', 'sandbox', '2021-03-22 14:49:44');
INSERT INTO `_setting_admin` VALUES('pg_st', '0', '2021-03-14 12:31:41');
INSERT INTO `_setting_admin` VALUES('pg_st_k1', '', '2021-03-14 12:12:58');
INSERT INTO `_setting_admin` VALUES('pg_st_k2', '', '2021-03-14 12:31:39');
INSERT INTO `_setting_admin` VALUES('popularity_source', 'play_full', '2020-04-12 20:25:45');
INSERT INTO `_setting_admin` VALUES('pp_approved', '0', '2020-08-18 01:52:18');
INSERT INTO `_setting_admin` VALUES('pp_email', '', '2020-08-21 22:24:57');
INSERT INTO `_setting_admin` VALUES('prefer_localfile', '1', '2021-03-10 07:05:36');
INSERT INTO `_setting_admin` VALUES('redirect_single_album', '1', '2020-08-18 20:50:45');
INSERT INTO `_setting_admin` VALUES('req_proxy', '', '2020-08-18 01:50:45');
INSERT INTO `_setting_admin` VALUES('req_proxy_a', '', '2020-08-18 01:50:45');
INSERT INTO `_setting_admin` VALUES('sell_music_prices', '1,2.5,5,7,9.9,15,25,50', '2020-08-18 01:51:59');
INSERT INTO `_setting_admin` VALUES('session_i_lock', '0', '2020-06-27 00:58:18');
INSERT INTO `_setting_admin` VALUES('session_lifetime', '720', '2020-07-20 15:06:23');
INSERT INTO `_setting_admin` VALUES('session_max', '3', '2020-10-26 07:53:22');
INSERT INTO `_setting_admin` VALUES('session_p_lock', '0', '2020-07-20 20:40:04');
INSERT INTO `_setting_admin` VALUES('signup_verified', '1', '2020-08-21 22:23:36');
INSERT INTO `_setting_admin` VALUES('sitename', 'DigiMuse', '2020-10-31 11:45:15');
INSERT INTO `_setting_admin` VALUES('sl_fb', '0', '2021-03-22 14:52:22');
INSERT INTO `_setting_admin` VALUES('sl_fb_k1', '', '2021-03-22 14:52:22');
INSERT INTO `_setting_admin` VALUES('sl_fb_k2', '', '2021-03-22 14:52:22');
INSERT INTO `_setting_admin` VALUES('sl_ggl', '0', '2021-03-22 14:52:22');
INSERT INTO `_setting_admin` VALUES('sl_ggl_k1', '', '2021-03-10 02:05:47');
INSERT INTO `_setting_admin` VALUES('sl_ggl_k2', '', '2021-03-10 02:05:47');
INSERT INTO `_setting_admin` VALUES('sl_ig', '0', '2021-03-22 14:52:22');
INSERT INTO `_setting_admin` VALUES('sl_ig_k1', '', '2021-03-10 02:05:47');
INSERT INTO `_setting_admin` VALUES('sl_ig_k2', '', '2021-03-10 02:05:47');
INSERT INTO `_setting_admin` VALUES('sl_tw', '0', '2021-03-22 14:52:22');
INSERT INTO `_setting_admin` VALUES('sl_tw_k1', '', '2021-03-22 14:52:22');
INSERT INTO `_setting_admin` VALUES('sl_tw_k2', '', '2021-03-22 14:52:22');
INSERT INTO `_setting_admin` VALUES('spotify_access', '', '2020-10-31 11:43:38');
INSERT INTO `_setting_admin` VALUES('spotify_d_a', '0', '2020-10-31 11:44:11');
INSERT INTO `_setting_admin` VALUES('spotify_d_a_ts', '0', '2020-10-31 11:44:12');
INSERT INTO `_setting_admin` VALUES('spotify_d_ar', '0', '2020-10-31 11:44:37');
INSERT INTO `_setting_admin` VALUES('spotify_d_la_ts', '0', '2020-10-31 11:44:16');
INSERT INTO `_setting_admin` VALUES('spotify_g_c', '0', '2020-10-31 11:44:19');
INSERT INTO `_setting_admin` VALUES('spotify_id', '', '2020-10-31 11:43:35');
INSERT INTO `_setting_admin` VALUES('spotify_key', '', '2020-10-31 11:43:36');
INSERT INTO `_setting_admin` VALUES('spotify_search', '0', '2020-10-31 11:44:38');
INSERT INTO `_setting_admin` VALUES('spotify_upload', '0', '2020-10-31 11:43:47');
INSERT INTO `_setting_admin` VALUES('spotify_upload_d', '0', '2020-06-20 20:41:25');
INSERT INTO `_setting_admin` VALUES('spotify_upload_e', '0', '2020-10-31 11:43:50');
INSERT INTO `_setting_admin` VALUES('spotify_w_u_i', '24', '2020-08-18 01:50:45');
INSERT INTO `_setting_admin` VALUES('station', '0', '2021-03-22 14:48:55');
INSERT INTO `_setting_admin` VALUES('theme_name', 'shady', '2020-10-18 07:42:24');
INSERT INTO `_setting_admin` VALUES('twitter_username', '', '2020-08-18 01:50:07');
INSERT INTO `_setting_admin` VALUES('ua_act', '1,2,24,20,19,14,13,12,8,6,15,10,5,3', '2021-03-22 14:52:36');
INSERT INTO `_setting_admin` VALUES('ua_email', '67,68,69,70,71,72,73,66,74,4,17,11,26,25,16,18,21,7,9,1,2,24,20,19,14,13,12,8,6', '2021-03-22 14:52:36');
INSERT INTO `_setting_admin` VALUES('ua_feed', '1,2,24,20,19,14,13,12,8,6,15,10,5,3', '2021-03-22 14:52:36');
INSERT INTO `_setting_admin` VALUES('ua_not', '67,68,69,70,71,72,73,66,74,4,17,11,26,25,16,18,21,7,9,1,2,24,20,19,14,13,12,8,6', '2021-03-22 14:52:36');
INSERT INTO `_setting_admin` VALUES('up_timeout', '30', '2021-03-22 14:48:55');
INSERT INTO `_setting_admin` VALUES('upgrade_price', '17', '2020-08-18 01:51:59');
INSERT INTO `_setting_admin` VALUES('upload_write_id3', '1', '2020-08-13 14:16:40');
INSERT INTO `_setting_admin` VALUES('utube_api', '0', '2020-10-31 11:44:09');
INSERT INTO `_setting_admin` VALUES('withdrawal_min', '5', '2020-08-18 01:51:59');
INSERT INTO `_setting_admin` VALUES('youtube_d_t', '0', '2020-10-31 11:44:07');
INSERT INTO `_setting_admin` VALUES('youtube_dl', '0', '2020-10-31 11:44:45');
INSERT INTO `_setting_admin` VALUES('youtube_dl_path', '', '2020-10-31 11:44:42');
INSERT INTO `_setting_admin` VALUES('yt_key', '', '2020-08-13 18:46:14');

CREATE TABLE `_setting_ads` (
  `ID` int(6) NOT NULL,
  `user_id` int(7) NOT NULL,
  `order_no` varchar(10) COLLATE utf8mb4_bin DEFAULT NULL,
  `type` varchar(10) COLLATE utf8mb4_bin NOT NULL,
  `name` tinytext COLLATE utf8mb4_bin NOT NULL,
  `files` text COLLATE utf8mb4_bin NOT NULL,
  `url` tinytext COLLATE utf8mb4_bin NOT NULL,
  `placements` mediumtext COLLATE utf8mb4_bin,
  `fund_total` float NOT NULL,
  `fund_spent` float DEFAULT '0',
  `fund_remain` float NOT NULL,
  `fund_limit` float DEFAULT NULL,
  `fund_spent_day` float DEFAULT '0',
  `fund_spent_day_code` int(6) DEFAULT NULL,
  `act_clicks` int(11) DEFAULT '0',
  `act_views` int(11) DEFAULT '0',
  `time_add` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `time_update` timestamp NULL DEFAULT NULL,
  `active` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

CREATE TABLE `_setting_ads_placements` (
  `ad_id` int(6) NOT NULL,
  `placement_code` varchar(14) COLLATE utf8mb4_bin NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

CREATE TABLE `_setting_menu` (
  `ID` int(3) NOT NULL,
  `name` varchar(40) COLLATE utf8mb4_bin NOT NULL,
  `data` longtext COLLATE utf8mb4_bin NOT NULL,
  `time_add` timestamp NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

INSERT INTO `_setting_menu` VALUES(1, 'sidebar', '[{\"title\":\"#discover\",\"page\":\"\",\"icon\":\"home\",\"items\":[{\"title\":\"#home\",\"page\":\"\",\"icon\":\"home-variant-outline\"},{\"title\":\"#trending\",\"page\":\"trending\",\"icon\":\"trending-up\"},{\"title\":\"#albums\",\"page\":\"albums\",\"icon\":\"album\"},{\"title\":\"#tracks\",\"page\":\"tracks\",\"icon\":\"music\"},{\"title\":\"#artists\",\"page\":\"artists\",\"icon\":\"star\"},{\"title\":\"#genres\",\"page\":\"genres\",\"icon\":\"tag\"}]},{\"title\":\"#store\",\"page\":\"store\",\"icon\":\"cart\",\"items\":[{\"title\":\"#browse\",\"page\":\"store\",\"icon\":\"shopping-search\"},{\"title\":\"#purchased\",\"page\":\"user_purchased\",\"icon\":\"basket-outline\"}]},{\"title\":\"#your_music\",\"page\":\"\",\"icon\":\"face-profile\",\"items\":[{\"title\":\"#user_likes\",\"page\":\"user_likes\",\"icon\":\"cards-heart\"},{\"title\":\"#user_reposts\",\"page\":\"user_reposts\",\"icon\":\"repeat\"},{\"title\":\"#user_playlists\",\"page\":\"user_playlists\",\"icon\":\"playlist-music\"}]}]', '2020-10-31 13:32:02');
INSERT INTO `_setting_menu` VALUES(2, 'sidebar_mobile', '[{\"title\":\"#home\",\"page\":\"\",\"icon\":\"home-outline\",\"items\":[]},{\"title\":\"#discover\",\"page\":\"\",\"icon\":\"format-list-bulleted-square\",\"items\":[{\"title\":\"#home\",\"page\":\"\",\"icon\":\"home-variant-outline\"},{\"title\":\"#trending\",\"page\":\"trending\",\"icon\":\"trending-up\"},{\"title\":\"#albums\",\"page\":\"albums\",\"icon\":\"album\"},{\"title\":\"#tracks\",\"page\":\"tracks\",\"icon\":\"music\"},{\"title\":\"#artists\",\"page\":\"artists\",\"icon\":\"star\"},{\"title\":\"#genres\",\"page\":\"genres\",\"icon\":\"tag\"},{\"title\":\"#store\",\"page\":\"store\",\"icon\":\"shopping-search\"},{\"title\":\"#purchased\",\"page\":\"user_purchased\",\"icon\":\"basket-outline\"}]},{\"title\":\"title\",\"page\":\"page\",\"icon\":\"heart\",\"items\":[]}]', '2020-10-31 13:39:15');

CREATE TABLE `_setting_page` (
  `ID` int(4) NOT NULL,
  `name` varchar(100) COLLATE utf8mb4_bin NOT NULL,
  `url` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL,
  `active` int(1) DEFAULT '1',
  `time_add` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `time_update` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

INSERT INTO `_setting_page` VALUES(1, 'home', '', 1, '2020-10-31 13:01:01', '2020-10-31 13:01:01');
INSERT INTO `_setting_page` VALUES(2, 'store', 'store', 1, '2020-10-31 13:08:26', '2020-10-31 13:08:26');
INSERT INTO `_setting_page` VALUES(3, 'albums', 'albums', 1, '2020-10-31 13:16:58', '2020-10-31 13:16:58');
INSERT INTO `_setting_page` VALUES(4, 'tracks', 'tracks', 1, '2020-10-31 13:21:27', '2020-10-31 13:21:27');
INSERT INTO `_setting_page` VALUES(5, 'artists', 'artists', 1, '2020-10-31 13:23:02', '2020-10-31 13:23:02');
INSERT INTO `_setting_page` VALUES(6, 'trending', 'trending', 1, '2020-10-31 13:25:30', '2020-10-31 13:25:30');

CREATE TABLE `_setting_page_widgets` (
  `ID` int(3) NOT NULL,
  `page_id` int(5) NOT NULL,
  `widget_order` int(3) DEFAULT NULL,
  `widget_type` varchar(15) COLLATE utf8mb4_bin NOT NULL,
  `widget_title` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL,
  `widget_setting` mediumtext COLLATE utf8mb4_bin,
  `widget_cache` mediumtext COLLATE utf8mb4_bin,
  `time_update` timestamp NULL DEFAULT NULL,
  `time_add` timestamp NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

INSERT INTO `_setting_page_widgets` VALUES(1, 1, 1, 'artist_slider', '#top_artists', '{\"title\":\"#top_artists\",\"linked\":\"\",\"width\":\"12\",\"pagination\":\"1\",\"artist_verified\":\"all\",\"size\":\"medium\",\"rows\":\"1\",\"sort\":\"play_full\",\"limit\":\"10\",\"wid\":\"c6a7f8a9\"}', NULL, NULL, '2021-03-22 14:38:51');
INSERT INTO `_setting_page_widgets` VALUES(2, 1, 2, 'track_slider', '#new_tracks', '{\"title\":\"#new_tracks\",\"linked\":\"\",\"width\":\"12\",\"pagination\":\"1\",\"source\":\"all\",\"price\":\"all\",\"genre\":\"all\",\"user_id\":\"\",\"size\":\"medium\",\"rows\":\"1\",\"sort\":\"time_release\",\"limit\":\"10\",\"wid\":\"f1550216\"}', NULL, NULL, '2021-03-22 14:38:51');
INSERT INTO `_setting_page_widgets` VALUES(3, 1, 3, 'album_slider', '#new_albums', '{\"title\":\"#new_albums\",\"linked\":\"\",\"width\":\"12\",\"pagination\":\"1\",\"album_type\":\"mixtape,compilation,studio\",\"source\":\"all\",\"price\":\"all\",\"genre\":\"all\",\"user_id\":\"\",\"size\":\"medium\",\"rows\":\"1\",\"sort\":\"time_release\",\"limit\":\"10\",\"wid\":\"276f4e68\"}', NULL, NULL, '2021-03-22 14:38:51');
INSERT INTO `_setting_page_widgets` VALUES(4, 1, 4, 'track_slider', '#premium_tracks', '{\"title\":\"#premium_tracks\",\"linked\":\"store\",\"width\":\"12\",\"pagination\":\"0\",\"source\":\"all\",\"price\":\"priced\",\"genre\":\"all\",\"user_id\":\"\",\"size\":\"medium\",\"rows\":\"1\",\"sort\":\"time_release\",\"limit\":\"10\",\"wid\":\"ada17c5a\"}', NULL, NULL, '2021-03-22 14:38:51');
INSERT INTO `_setting_page_widgets` VALUES(5, 2, 1, 'album_slider', '#premium_albums', '{\"title\":\"#premium_albums\",\"linked\":\"\",\"width\":\"12\",\"pagination\":\"1\",\"album_type\":\"mixtape,compilation,studio\",\"source\":\"all\",\"price\":\"priced\",\"genre\":\"all\",\"user_id\":\"\",\"size\":\"large\",\"rows\":\"1\",\"sort\":\"time_add\",\"limit\":\"8\",\"wid\":\"08df6388\"}', NULL, NULL, '2021-03-22 14:38:51');
INSERT INTO `_setting_page_widgets` VALUES(6, 2, 2, 'track_slider', '#premium_tracks', '{\"title\":\"#premium_tracks\",\"linked\":\"\",\"width\":\"12\",\"pagination\":\"1\",\"source\":\"all\",\"price\":\"priced\",\"genre\":\"all\",\"user_id\":\"\",\"size\":\"medium\",\"rows\":\"1\",\"sort\":\"time_add\",\"limit\":\"10\",\"wid\":\"338f73a5\"}', NULL, NULL, '2021-03-22 14:38:51');
INSERT INTO `_setting_page_widgets` VALUES(7, 2, 3, 'track_table', '#top_sellers', '{\"title\":\"#top_sellers\",\"linked\":\"\",\"width\":\"12\",\"pagination\":\"1\",\"source\":\"all\",\"price\":\"priced\",\"genre\":\"all\",\"user_id\":\"\",\"sort\":\"purchased\",\"limit\":\"10\",\"wid\":\"1395ebb1\"}', NULL, NULL, '2021-03-22 14:38:51');
INSERT INTO `_setting_page_widgets` VALUES(8, 3, 1, 'album_slider', '#new_albums', '{\"title\":\"#new_albums\",\"linked\":\"\",\"width\":\"12\",\"pagination\":\"1\",\"album_type\":\"mixtape,compilation,studio\",\"source\":\"all\",\"price\":\"all\",\"genre\":\"all\",\"user_id\":\"\",\"size\":\"large\",\"rows\":\"1\",\"sort\":\"time_release\",\"limit\":\"8\",\"wid\":\"485a1a89\"}', NULL, NULL, '2021-03-22 14:38:51');
INSERT INTO `_setting_page_widgets` VALUES(9, 3, 2, 'album_slider', '#trending_albums', '{\"title\":\"#trending_albums\",\"linked\":\"\",\"width\":\"6\",\"pagination\":\"1\",\"album_type\":\"mixtape,compilation,studio\",\"source\":\"all\",\"price\":\"all\",\"genre\":\"all\",\"user_id\":\"\",\"size\":\"medium\",\"rows\":\"2\",\"sort\":\"play_full_m\",\"limit\":\"8\",\"wid\":\"0063bfa6\"}', NULL, NULL, '2021-03-22 14:38:51');
INSERT INTO `_setting_page_widgets` VALUES(10, 3, 3, 'album_slider', '#top_albums', '{\"title\":\"#top_albums\",\"linked\":\"\",\"width\":\"6\",\"pagination\":\"1\",\"album_type\":\"mixtape,compilation,studio\",\"source\":\"all\",\"price\":\"all\",\"genre\":\"all\",\"user_id\":\"\",\"size\":\"medium\",\"rows\":\"2\",\"sort\":\"play_full\",\"limit\":\"8\",\"wid\":\"1effde48\"}', NULL, NULL, '2021-03-22 14:38:51');
INSERT INTO `_setting_page_widgets` VALUES(11, 3, 4, 'album_slider', '#premium_albums', '{\"title\":\"#premium_albums\",\"linked\":\"\",\"width\":\"12\",\"pagination\":\"1\",\"album_type\":\"all\",\"source\":\"all\",\"price\":\"priced\",\"genre\":\"all\",\"user_id\":\"\",\"size\":\"large\",\"rows\":\"1\",\"sort\":\"time_release\",\"limit\":\"8\",\"wid\":\"6b41aa31\"}', NULL, NULL, '2021-03-22 14:38:51');
INSERT INTO `_setting_page_widgets` VALUES(12, 3, 5, 'album_list', '#recently_heard', '{\"title\":\"#recently_heard\",\"linked\":\"\",\"width\":\"12\",\"pagination\":\"0\",\"album_type\":\"all\",\"source\":\"all\",\"price\":\"all\",\"genre\":\"all\",\"user_id\":\"\",\"columns\":\"3\",\"sort\":\"time_play\",\"limit\":\"12\",\"wid\":\"49907d95\"}', NULL, NULL, '2021-03-22 14:38:51');
INSERT INTO `_setting_page_widgets` VALUES(13, 4, 1, 'track_slider', '#local_tracks', '{\"title\":\"#local_tracks\",\"linked\":\"\",\"width\":\"12\",\"pagination\":\"1\",\"source\":\"local\",\"price\":\"priced\",\"genre\":\"all\",\"user_id\":\"\",\"size\":\"medium\",\"rows\":\"1\",\"sort\":\"views\",\"limit\":\"10\",\"wid\":\"75371043\"}', NULL, NULL, '2021-03-22 14:38:51');
INSERT INTO `_setting_page_widgets` VALUES(14, 4, 2, 'track_slider', '#new_tracks', '{\"title\":\"#new_tracks\",\"linked\":\"\",\"width\":\"12\",\"pagination\":\"1\",\"source\":\"all\",\"price\":\"all\",\"genre\":\"all\",\"user_id\":\"\",\"size\":\"medium\",\"rows\":\"1\",\"sort\":\"time_release\",\"limit\":\"10\",\"wid\":\"848f6812\"}', NULL, NULL, '2021-03-22 14:38:51');
INSERT INTO `_setting_page_widgets` VALUES(15, 4, 3, 'track_slider', '#trending_tracks', '{\"title\":\"#trending_tracks\",\"linked\":\"\",\"width\":\"12\",\"pagination\":\"1\",\"source\":\"all\",\"price\":\"all\",\"genre\":\"all\",\"user_id\":\"\",\"size\":\"medium\",\"rows\":\"1\",\"sort\":\"play_full_m\",\"limit\":\"10\",\"wid\":\"9ad4b2ea\"}', NULL, NULL, '2021-03-22 14:38:51');
INSERT INTO `_setting_page_widgets` VALUES(16, 4, 4, 'track_slider', '#top_tracks', '{\"title\":\"#top_tracks\",\"linked\":\"\",\"width\":\"12\",\"pagination\":\"1\",\"source\":\"all\",\"price\":\"all\",\"genre\":\"all\",\"user_id\":\"\",\"size\":\"medium\",\"rows\":\"1\",\"sort\":\"play_full\",\"limit\":\"10\",\"wid\":\"47c1a127\"}', NULL, NULL, '2021-03-22 14:38:51');
INSERT INTO `_setting_page_widgets` VALUES(17, 4, 5, 'track_slider', '#premium_tracks', '{\"title\":\"#premium_tracks\",\"linked\":\"\",\"width\":\"12\",\"pagination\":\"1\",\"source\":\"all\",\"price\":\"priced\",\"genre\":\"all\",\"user_id\":\"\",\"size\":\"medium\",\"rows\":\"1\",\"sort\":\"time_release\",\"limit\":\"10\",\"wid\":\"7cc05820\"}', NULL, NULL, '2021-03-22 14:38:51');
INSERT INTO `_setting_page_widgets` VALUES(18, 4, 6, 'track_slider', '#most_liked', '{\"title\":\"#most_liked\",\"linked\":\"\",\"width\":\"12\",\"pagination\":\"1\",\"source\":\"all\",\"price\":\"priced\",\"genre\":\"all\",\"user_id\":\"\",\"size\":\"medium\",\"rows\":\"1\",\"sort\":\"likes\",\"limit\":\"10\",\"wid\":\"c0d35971\"}', NULL, NULL, '2021-03-22 14:38:51');
INSERT INTO `_setting_page_widgets` VALUES(19, 4, 7, 'track_slider', '#most_viewed', '{\"title\":\"#most_viewed\",\"linked\":\"\",\"width\":\"12\",\"pagination\":\"1\",\"source\":\"all\",\"price\":\"priced\",\"genre\":\"all\",\"user_id\":\"\",\"size\":\"medium\",\"rows\":\"1\",\"sort\":\"views\",\"limit\":\"10\",\"wid\":\"049e3898\"}', NULL, NULL, '2021-03-22 14:38:51');
INSERT INTO `_setting_page_widgets` VALUES(20, 4, 8, 'track_table', '#top_sellers', '{\"title\":\"#top_sellers\",\"linked\":\"\",\"width\":\"6\",\"pagination\":\"1\",\"source\":\"all\",\"price\":\"all\",\"genre\":\"all\",\"user_id\":\"\",\"sort\":\"purchased\",\"limit\":\"10\",\"wid\":\"a1b8151a\"}', NULL, NULL, '2021-03-22 14:38:51');
INSERT INTO `_setting_page_widgets` VALUES(21, 4, 9, 'track_table', '#top_downloaded', '{\"title\":\"#top_downloaded\",\"linked\":\"\",\"width\":\"6\",\"pagination\":\"1\",\"source\":\"all\",\"price\":\"all\",\"genre\":\"all\",\"user_id\":\"\",\"sort\":\"downloads\",\"limit\":\"10\",\"wid\":\"ed18cf1c\"}', NULL, NULL, '2021-03-22 14:38:51');
INSERT INTO `_setting_page_widgets` VALUES(22, 5, 1, 'artist_slider', '#top_artists', '{\"title\":\"#top_artists\",\"linked\":\"\",\"width\":\"12\",\"pagination\":\"1\",\"artist_verified\":\"all\",\"size\":\"small\",\"rows\":\"1\",\"sort\":\"play_full\",\"limit\":\"10\",\"wid\":\"11920782\"}', NULL, NULL, '2021-03-22 14:38:51');
INSERT INTO `_setting_page_widgets` VALUES(23, 5, 2, 'artist_slider', '#trending_artists', '{\"title\":\"#trending_artists\",\"linked\":\"\",\"width\":\"12\",\"pagination\":\"1\",\"artist_verified\":\"all\",\"size\":\"small\",\"rows\":\"1\",\"sort\":\"play_skip_m\",\"limit\":\"10\",\"wid\":\"58a5f00b\"}', NULL, NULL, '2021-03-22 14:38:51');
INSERT INTO `_setting_page_widgets` VALUES(24, 5, 3, 'artist_slider', '#verified_artists', '{\"title\":\"#verified_artists\",\"linked\":\"\",\"width\":\"6\",\"pagination\":\"1\",\"artist_verified\":\"yes\",\"size\":\"small\",\"rows\":\"1\",\"sort\":\"play_full\",\"limit\":\"10\",\"wid\":\"d6edbe61\"}', NULL, NULL, '2021-03-22 14:38:51');
INSERT INTO `_setting_page_widgets` VALUES(25, 5, 4, 'artist_slider', '#most_viewed', '{\"title\":\"#most_viewed\",\"linked\":\"\",\"width\":\"6\",\"pagination\":\"1\",\"artist_verified\":\"yes\",\"size\":\"small\",\"rows\":\"1\",\"sort\":\"views\",\"limit\":\"10\",\"wid\":\"9533fb1a\"}', NULL, NULL, '2021-03-22 14:38:51');
INSERT INTO `_setting_page_widgets` VALUES(26, 6, 1, 'track_slider', '#trending_tracks', '{\"title\":\"#trending_tracks\",\"linked\":\"\",\"width\":\"12\",\"pagination\":\"1\",\"source\":\"all\",\"price\":\"all\",\"genre\":\"all\",\"user_id\":\"\",\"size\":\"medium\",\"rows\":\"2\",\"sort\":\"play_full_m\",\"limit\":\"20\",\"wid\":\"5bbb52e9\"}', NULL, NULL, '2021-03-22 14:38:51');
INSERT INTO `_setting_page_widgets` VALUES(27, 6, 2, 'artist_slider', '#trending_artists', '{\"title\":\"#trending_artists\",\"linked\":\"\",\"width\":\"12\",\"pagination\":\"1\",\"artist_verified\":\"all\",\"size\":\"small\",\"rows\":\"1\",\"sort\":\"play_full_m\",\"limit\":\"10\",\"wid\":\"0d0d1374\"}', NULL, NULL, '2021-03-22 14:38:51');
INSERT INTO `_setting_page_widgets` VALUES(28, 6, 3, 'album_slider', '#top_albums', '{\"title\":\"#top_albums\",\"linked\":\"\",\"width\":\"6\",\"pagination\":\"1\",\"album_type\":\"all\",\"source\":\"all\",\"price\":\"all\",\"genre\":\"all\",\"user_id\":\"\",\"size\":\"medium\",\"rows\":\"1\",\"sort\":\"play_full\",\"limit\":\"8\",\"wid\":\"6f738919\"}', NULL, NULL, '2021-03-22 14:38:51');
INSERT INTO `_setting_page_widgets` VALUES(29, 6, 4, 'album_slider', '#trending_single_albums', '{\"title\":\"#trending_single_albums\",\"linked\":\"\",\"width\":\"6\",\"pagination\":\"1\",\"album_type\":\"single\",\"source\":\"all\",\"price\":\"all\",\"genre\":\"all\",\"user_id\":\"\",\"size\":\"medium\",\"rows\":\"1\",\"sort\":\"play_full_m\",\"limit\":\"8\",\"wid\":\"1fcfc291\"}', NULL, NULL, '2021-03-22 14:38:51');
INSERT INTO `_setting_page_widgets` VALUES(30, 6, 5, 'album_slider', '#trending_albums', '{\"title\":\"#trending_albums\",\"linked\":\"\",\"width\":\"12\",\"pagination\":\"1\",\"album_type\":\"studio\",\"source\":\"all\",\"price\":\"all\",\"genre\":\"all\",\"user_id\":\"\",\"size\":\"large\",\"rows\":\"1\",\"sort\":\"play_full_m\",\"limit\":\"8\",\"wid\":\"489cf327\"}', NULL, NULL, '2021-03-22 14:38:51');
INSERT INTO `_setting_page_widgets` VALUES(31, 6, 6, 'track_list', '#top_tracks', '{\"title\":\"#top_tracks\",\"linked\":\"\",\"width\":\"12\",\"pagination\":\"1\",\"source\":\"all\",\"price\":\"all\",\"genre\":\"all\",\"user_id\":\"\",\"columns\":\"2\",\"sort\":\"play_full\",\"limit\":\"8\",\"wid\":\"979c4def\"}', NULL, NULL, '2021-03-22 14:38:51');

CREATE TABLE `_setting_theme` (
  `ID` int(4) NOT NULL,
  `theme` varchar(20) COLLATE utf8mb4_bin NOT NULL,
  `var` varchar(20) COLLATE utf8mb4_bin NOT NULL,
  `val` text COLLATE utf8mb4_bin NOT NULL,
  `time_update` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

INSERT INTO `_setting_theme` VALUES(1, 'shady', 'color', '009ad2', '2021-03-22 14:44:20');
INSERT INTO `_setting_theme` VALUES(2, 'shady', 'navbar_color', '009ad2', '2021-03-22 14:44:20');
INSERT INTO `_setting_theme` VALUES(3, 'shady', 'm_s', '1', '2021-03-22 14:44:20');
INSERT INTO `_setting_theme` VALUES(4, 'shady', 'm_sm', '2', '2021-03-22 14:44:20');
INSERT INTO `_setting_theme` VALUES(5, 'shady', 'logo', '', '2021-03-22 14:44:20');
INSERT INTO `_setting_theme` VALUES(6, 'shady', 'favicon', '', '2021-03-22 14:44:20');
INSERT INTO `_setting_theme` VALUES(7, 'shady', 'font-family', 'Montserrat', '2021-03-22 14:44:20');
INSERT INTO `_setting_theme` VALUES(8, 'shady', 'term-link', '', '2021-03-22 14:44:20');
INSERT INTO `_setting_theme` VALUES(9, 'shady', 'm_f', '', '2021-03-22 14:44:20');
INSERT INTO `_setting_theme` VALUES(10, 'shady', 'sl_twitter', '', '2021-03-22 14:44:20');
INSERT INTO `_setting_theme` VALUES(11, 'shady', 'sl_facebook', '', '2021-03-22 14:44:20');
INSERT INTO `_setting_theme` VALUES(12, 'shady', 'sl_instagram', '', '2021-03-22 14:44:20');
INSERT INTO `_setting_theme` VALUES(13, 'shady', 'sl_soundcloud', '', '2021-03-22 14:44:20');
INSERT INTO `_setting_theme` VALUES(14, 'shady', 'sl_spotify', '', '2021-03-22 14:44:20');
INSERT INTO `_setting_theme` VALUES(15, 'shady', 'sl_linkedin', '', '2021-03-22 14:44:20');
INSERT INTO `_setting_theme` VALUES(16, 'shady', 'sl_google', '', '2021-03-22 14:44:20');
INSERT INTO `_setting_theme` VALUES(17, 'shady', 'sign_url', '', '2021-03-22 14:44:20');
INSERT INTO `_setting_theme` VALUES(18, 'shady', 'signature', '© 2021 Busyowl. Signature text here', '2021-03-22 14:44:20');
INSERT INTO `_setting_theme` VALUES(19, 'shady', 'java', '', '2021-03-22 14:44:20');

CREATE TABLE `_users` (
  `ID` int(7) NOT NULL,
  `GID` int(2) NOT NULL,
  `username` varchar(50) COLLATE utf8mb4_bin NOT NULL,
  `name` varchar(60) COLLATE utf8mb4_bin DEFAULT NULL,
  `password` varchar(60) COLLATE utf8mb4_bin NOT NULL,
  `email` varchar(150) COLLATE utf8mb4_bin NOT NULL,
  `external_addresses` text COLLATE utf8mb4_bin,
  `avatar` tinytext COLLATE utf8mb4_bin,
  `bg_img` tinytext COLLATE utf8mb4_bin,
  `artist` int(9) DEFAULT NULL,
  `artist_code` varchar(30) COLLATE utf8mb4_bin DEFAULT NULL,
  `verified` int(1) DEFAULT '0',
  `verify_code` varchar(9) COLLATE utf8mb4_bin DEFAULT NULL,
  `fund` float DEFAULT '0',
  `fund_total` float DEFAULT '0',
  `fund_revenue` float DEFAULT '0',
  `followers` int(11) DEFAULT '0',
  `followings` int(5) DEFAULT '0',
  `likes` int(7) DEFAULT '0',
  `reposts` int(7) DEFAULT '0',
  `comments` int(6) DEFAULT '0',
  `comments_likes` int(6) DEFAULT '0',
  `comments_replied` int(6) DEFAULT '0',
  `media_comments` int(7) DEFAULT '0',
  `media_likes` int(7) DEFAULT '0',
  `media_uploads` int(6) DEFAULT '0',
  `playlists` int(5) DEFAULT '0',
  `playlists_likes` int(7) DEFAULT '0',
  `playlists_followers` int(7) DEFAULT '0',
  `feed_setting` tinytext COLLATE utf8mb4_bin,
  `not_setting` tinytext COLLATE utf8mb4_bin,
  `email_setting` tinytext COLLATE utf8mb4_bin,
  `time_add` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `time_verify` timestamp NULL DEFAULT NULL,
  `time_verify_try` timestamp NULL DEFAULT NULL,
  `time_paid_expire` timestamp NULL DEFAULT NULL,
  `time_notified` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

CREATE TABLE `_user_actions` (
  `ID` int(11) NOT NULL,
  `user_id` int(7) DEFAULT NULL,
  `user_id_2` int(7) DEFAULT NULL,
  `type` int(2) NOT NULL,
  `hook` int(9) NOT NULL,
  `AID` int(11) DEFAULT NULL,
  `extraData` tinytext COLLATE utf8mb4_bin,
  `time_add` timestamp NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

CREATE TABLE `_user_artist_reqs` (
  `ID` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `real_name` varchar(100) COLLATE utf8mb4_bin NOT NULL,
  `stage_name` varchar(100) COLLATE utf8mb4_bin NOT NULL,
  `files` text COLLATE utf8mb4_bin,
  `data` text COLLATE utf8mb4_bin,
  `approved` int(1) DEFAULT NULL,
  `time_add` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `time_approve` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

CREATE TABLE `_user_comments` (
  `ID` int(11) NOT NULL,
  `PID` int(11) DEFAULT NULL,
  `user_id` int(7) NOT NULL,
  `target_type` varchar(10) COLLATE utf8mb4_bin NOT NULL,
  `target_id` int(11) NOT NULL,
  `target_seek` float DEFAULT NULL,
  `text` mediumtext COLLATE utf8mb4_bin NOT NULL,
  `likes` int(6) DEFAULT '0',
  `approved` int(1) NOT NULL,
  `depth` int(1) DEFAULT '1',
  `time_add` timestamp NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

CREATE TABLE `_user_downloads` (
  `ID` int(11) NOT NULL,
  `track_id` int(11) NOT NULL,
  `track_name` varchar(50) COLLATE utf8mb4_bin NOT NULL,
  `source_id` int(11) NOT NULL,
  `source_file` varchar(200) COLLATE utf8mb4_bin NOT NULL,
  `source_file_size` int(11) NOT NULL,
  `user_sess_id` varchar(50) COLLATE utf8mb4_bin NOT NULL,
  `user_id` int(11) DEFAULT NULL,
  `user_ip` varchar(15) COLLATE utf8mb4_bin NOT NULL,
  `user_agent` varchar(200) COLLATE utf8mb4_bin NOT NULL,
  `key1` varchar(12) COLLATE utf8mb4_bin NOT NULL,
  `key2` varchar(12) COLLATE utf8mb4_bin NOT NULL,
  `key3` varchar(12) COLLATE utf8mb4_bin NOT NULL,
  `key4` varchar(12) COLLATE utf8mb4_bin NOT NULL,
  `uses` int(3) DEFAULT '0',
  `time_add` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `time_expire` timestamp NULL DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

CREATE TABLE `_user_groups` (
  `ID` int(2) NOT NULL,
  `name` varchar(30) COLLATE utf8mb4_bin NOT NULL,
  `ui_access` mediumtext COLLATE utf8mb4_bin,
  `be_access` mediumtext COLLATE utf8mb4_bin,
  `muse_access` int(1) DEFAULT '0',
  `premium_access` int(1) DEFAULT '0',
  `upload_access` int(1) DEFAULT '0',
  `download_access` int(1) DEFAULT '0',
  `sell_access` int(1) DEFAULT '0',
  `sell_share` int(3) DEFAULT '75',
  `upgrade_access` int(1) DEFAULT '0',
  `signup_access` int(1) DEFAULT '0',
  `artist_req_access` int(1) DEFAULT '0',
  `report_access` int(1) DEFAULT '0',
  `admin_access` int(1) DEFAULT '0',
  `comment_access` int(1) DEFAULT '0',
  `language_access` int(1) DEFAULT '0',
  `notification_access` int(1) DEFAULT '0',
  `advertisement_access` int(1) DEFAULT '0',
  `hide_advertisement_access` int(1) DEFAULT NULL,
  `hq_audio_access` int(1) DEFAULT '0',
  `verified` int(1) DEFAULT '0',
  `time_add` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `time_update` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

INSERT INTO `_user_groups` VALUES(1, 'admin', '[\"*\"]', '[\"*\"]', 1, 1, 1, 1, 1, 100, 0, 0, 1, 1, 1, 1, 1, 1, 1, 0, 1, 1, '2020-04-29 07:06:58', '2021-03-22 14:53:04');
INSERT INTO `_user_groups` VALUES(2, 'artist', NULL, NULL, 1, 0, 1, 1, 1, 75, 1, 0, 0, 1, 0, 1, 1, 1, 1, 0, 1, 1, '2020-04-29 07:07:14', '2021-03-13 14:32:25');
INSERT INTO `_user_groups` VALUES(3, 'paid', NULL, NULL, 1, 1, 0, 1, 0, 75, 0, 0, 1, 1, 0, 0, 1, 1, 1, 1, 1, 0, '2020-04-29 07:07:17', '2021-03-22 14:53:32');
INSERT INTO `_user_groups` VALUES(4, 'user', NULL, NULL, 1, 0, 1, 1, 0, 75, 1, 0, 0, 1, 0, 0, 1, 1, 1, 0, 1, 0, '2020-04-29 07:07:27', '2021-03-22 14:54:26');
INSERT INTO `_user_groups` VALUES(5, 'guest', NULL, NULL, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, '2020-08-08 10:38:09', '2021-03-14 10:04:32');

CREATE TABLE `_user_heard` (
  `ID` int(11) NOT NULL,
  `user_id` int(7) NOT NULL,
  `track_id` int(11) NOT NULL,
  `time_add` timestamp NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

CREATE TABLE `_user_playlists` (
  `ID` int(6) NOT NULL,
  `user_id` int(7) NOT NULL,
  `hash` varchar(32) COLLATE utf8mb4_bin NOT NULL,
  `name` varchar(100) COLLATE utf8mb4_bin NOT NULL,
  `url` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL,
  `cover` tinytext COLLATE utf8mb4_bin,
  `track_count` int(3) DEFAULT '0',
  `likes` int(7) DEFAULT '0',
  `followers` int(7) DEFAULT '0',
  `views` int(11) DEFAULT '0',
  `collabs` text COLLATE utf8mb4_bin,
  `time_add` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `time_update` timestamp NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

CREATE TABLE `_user_playlists_relations` (
  `playlist_id` int(6) NOT NULL,
  `track_id` int(9) NOT NULL,
  `sort` int(4) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

CREATE TABLE `_user_purchases` (
  `ID` int(6) NOT NULL,
  `user_id` int(6) NOT NULL,
  `item_type` varchar(10) COLLATE utf8mb4_bin NOT NULL,
  `item_id` int(9) NOT NULL,
  `time_add` timestamp NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

CREATE TABLE `_user_relations` (
  `user_id` int(7) NOT NULL,
  `rel_type` int(2) NOT NULL,
  `target_id` int(9) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

CREATE TABLE `_user_reports` (
  `ID` int(11) NOT NULL,
  `user_id` int(7) NOT NULL,
  `type` int(2) NOT NULL,
  `hook` int(9) NOT NULL,
  `reason` mediumtext COLLATE utf8mb4_bin,
  `dismissed` int(1) DEFAULT NULL,
  `time_add` timestamp NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

CREATE TABLE `_user_sessions` (
  `ID` int(11) NOT NULL,
  `session_extra_id` varchar(30) COLLATE utf8mb4_bin DEFAULT NULL,
  `session_id` varchar(60) COLLATE utf8mb4_bin NOT NULL,
  `user_id` int(7) NOT NULL,
  `ip` varchar(18) COLLATE utf8mb4_bin NOT NULL,
  `ip_country` varchar(30) COLLATE utf8mb4_bin DEFAULT NULL,
  `platform_type` varchar(30) COLLATE utf8mb4_bin NOT NULL,
  `platform_os` varchar(30) COLLATE utf8mb4_bin DEFAULT NULL,
  `platform_browser` varchar(30) COLLATE utf8mb4_bin DEFAULT NULL,
  `time_update` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `time_add` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `active` int(1) DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

CREATE TABLE `_user_transaction` (
  `ID` int(7) NOT NULL,
  `order_no` varchar(10) COLLATE utf8mb4_bin DEFAULT NULL,
  `user_id` int(7) NOT NULL,
  `user_fund` float DEFAULT NULL,
  `type` varchar(3) COLLATE utf8mb4_bin NOT NULL,
  `amount` float NOT NULL,
  `data` text COLLATE utf8mb4_bin,
  `data_txn_id` varchar(30) COLLATE utf8mb4_bin DEFAULT NULL,
  `completed` int(1) DEFAULT NULL,
  `paid` int(1) DEFAULT NULL,
  `funding` int(1) DEFAULT '0',
  `withdrawing` int(1) DEFAULT NULL,
  `image` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL,
  `revenue` float DEFAULT NULL,
  `time_add` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `time_completed` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

CREATE TABLE `_user_uploads` (
  `ID` int(11) NOT NULL,
  `userID` int(7) NOT NULL,
  `rID` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL,
  `uploadID` varchar(20) COLLATE utf8mb4_bin NOT NULL,
  `originalName` varchar(200) COLLATE utf8mb4_bin NOT NULL,
  `fileName` tinytext COLLATE utf8mb4_bin NOT NULL,
  `waveData` text COLLATE utf8mb4_bin,
  `tagData` longtext COLLATE utf8mb4_bin,
  `spotifyData` longtext COLLATE utf8mb4_bin,
  `youtubeData` longtext COLLATE utf8mb4_bin,
  `finalData` longtext COLLATE utf8mb4_bin,
  `time_add` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `time_removed` timestamp NULL DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;


ALTER TABLE `_blocked_ips`
  ADD PRIMARY KEY (`ID`),
  ADD KEY `IP` (`IP`,`until`),
  ADD KEY `IP_2` (`IP`);

ALTER TABLE `_curl_cache`
  ADD PRIMARY KEY (`ID`),
  ADD KEY `hashID` (`hashID`,`time_start`);

ALTER TABLE `_debug`
  ADD PRIMARY KEY (`ID`);

ALTER TABLE `_emails`
  ADD PRIMARY KEY (`ID`);

ALTER TABLE `_hits`
  ADD PRIMARY KEY (`ID`),
  ADD KEY `ip` (`ip`),
  ADD KEY `time_add` (`time_add`),
  ADD KEY `page_type` (`page_type`),
  ADD KEY `request_sessid` (`request_sessid`),
  ADD KEY `agent_type` (`agent_type`),
  ADD KEY `agent_os` (`agent_os`),
  ADD KEY `agent_browser` (`agent_browser`);

ALTER TABLE `_langs`
  ADD PRIMARY KEY (`ID`),
  ADD UNIQUE KEY `hook` (`hook`,`lang`);

ALTER TABLE `_m_albums`
  ADD PRIMARY KEY (`ID`),
  ADD UNIQUE KEY `code` (`code`),
  ADD KEY `type` (`type`),
  ADD KEY `play_m` (`play_m`),
  ADD KEY `local` (`local`),
  ADD KEY `price` (`price`),
  ADD KEY `genre_id` (`genre_id`),
  ADD KEY `user_id` (`user_id`),
  ADD KEY `artist_id` (`artist_id`),
  ADD KEY `spotify_id` (`spotify_id`),
  ADD KEY `hash` (`hash`);

ALTER TABLE `_m_artists`
  ADD PRIMARY KEY (`ID`),
  ADD UNIQUE KEY `code` (`code`),
  ADD KEY `spotify_id` (`spotify_id`),
  ADD KEY `play_m` (`play_m`),
  ADD KEY `user_id` (`user_id`);

ALTER TABLE `_m_genres`
  ADD PRIMARY KEY (`ID`),
  ADD UNIQUE KEY `name` (`name`),
  ADD KEY `code` (`code`);

ALTER TABLE `_m_relations`
  ADD PRIMARY KEY (`ID1`,`ID2`,`type`),
  ADD KEY `ID1` (`ID1`,`type`),
  ADD KEY `ID2` (`ID2`,`type`);

ALTER TABLE `_m_sources`
  ADD PRIMARY KEY (`ID`),
  ADD KEY `track_id` (`track_id`,`type`),
  ADD KEY `track_id_2` (`track_id`);

ALTER TABLE `_m_tracks`
  ADD PRIMARY KEY (`ID`),
  ADD UNIQUE KEY `code` (`code`),
  ADD KEY `play_m` (`play_m`),
  ADD KEY `price` (`price`),
  ADD KEY `spotify_id` (`spotify_id`),
  ADD KEY `artist_id` (`artist_id`),
  ADD KEY `genre_id` (`genre_id`),
  ADD KEY `user_id` (`user_id`),
  ADD KEY `local` (`local`),
  ADD KEY `album_id` (`album_id`);

ALTER TABLE `_m_tracks_data`
  ADD PRIMARY KEY (`track_id`);

ALTER TABLE `_setting_admin`
  ADD PRIMARY KEY (`var`);

ALTER TABLE `_setting_ads`
  ADD PRIMARY KEY (`ID`),
  ADD KEY `get_4_display` (`type`,`fund_remain`,`fund_limit`,`fund_spent_day`,`fund_spent_day_code`,`active`) USING BTREE,
  ADD KEY `type` (`type`),
  ADD KEY `user_id` (`user_id`),
  ADD KEY `order_no` (`order_no`),
  ADD KEY `order_no_2` (`order_no`,`active`),
  ADD KEY `active` (`active`);

ALTER TABLE `_setting_ads_placements`
  ADD PRIMARY KEY (`ad_id`,`placement_code`);

ALTER TABLE `_setting_menu`
  ADD PRIMARY KEY (`ID`),
  ADD UNIQUE KEY `name` (`name`);

ALTER TABLE `_setting_page`
  ADD PRIMARY KEY (`ID`),
  ADD KEY `active` (`active`);

ALTER TABLE `_setting_page_widgets`
  ADD PRIMARY KEY (`ID`),
  ADD KEY `page_name` (`page_id`),
  ADD KEY `widget_type` (`widget_type`,`time_update`),
  ADD KEY `widget_type_2` (`widget_type`);

ALTER TABLE `_setting_theme`
  ADD PRIMARY KEY (`ID`),
  ADD UNIQUE KEY `theme` (`theme`,`var`);

ALTER TABLE `_users`
  ADD PRIMARY KEY (`ID`),
  ADD UNIQUE KEY `username` (`username`),
  ADD UNIQUE KEY `email` (`email`),
  ADD KEY `verified` (`verified`,`verify_code`,`time_verify_try`),
  ADD KEY `GID` (`GID`);

ALTER TABLE `_user_actions`
  ADD PRIMARY KEY (`ID`),
  ADD KEY `user_id` (`user_id`),
  ADD KEY `id_type_hook` (`user_id`,`type`,`hook`) USING BTREE,
  ADD KEY `type_hook` (`type`,`hook`) USING BTREE;

ALTER TABLE `_user_artist_reqs`
  ADD PRIMARY KEY (`ID`),
  ADD KEY `user_id` (`user_id`),
  ADD KEY `approved` (`approved`);

ALTER TABLE `_user_comments`
  ADD PRIMARY KEY (`ID`),
  ADD KEY `user_id` (`user_id`),
  ADD KEY `target_type` (`target_type`,`target_id`,`approved`),
  ADD KEY `PID` (`PID`);

ALTER TABLE `_user_downloads`
  ADD PRIMARY KEY (`ID`),
  ADD KEY `key1` (`key1`,`time_add`),
  ADD KEY `track_id` (`track_id`,`user_id`,`uses`);

ALTER TABLE `_user_groups`
  ADD PRIMARY KEY (`ID`),
  ADD UNIQUE KEY `name` (`name`);

ALTER TABLE `_user_heard`
  ADD PRIMARY KEY (`ID`),
  ADD KEY `user_id` (`user_id`),
  ADD KEY `id_type_hook` (`user_id`,`track_id`) USING BTREE,
  ADD KEY `type_hook` (`track_id`) USING BTREE;

ALTER TABLE `_user_playlists`
  ADD PRIMARY KEY (`ID`),
  ADD KEY `user_id` (`user_id`),
  ADD KEY `hash` (`hash`);

ALTER TABLE `_user_playlists_relations`
  ADD PRIMARY KEY (`playlist_id`,`track_id`);

ALTER TABLE `_user_purchases`
  ADD PRIMARY KEY (`ID`),
  ADD UNIQUE KEY `type` (`item_type`,`user_id`,`item_id`);

ALTER TABLE `_user_relations`
  ADD PRIMARY KEY (`user_id`,`rel_type`,`target_id`);

ALTER TABLE `_user_reports`
  ADD PRIMARY KEY (`ID`),
  ADD KEY `user_id` (`user_id`),
  ADD KEY `id_type_hook` (`user_id`,`type`,`hook`) USING BTREE,
  ADD KEY `type_hook` (`type`,`hook`) USING BTREE;

ALTER TABLE `_user_sessions`
  ADD PRIMARY KEY (`ID`),
  ADD KEY `session_extra_id` (`session_extra_id`),
  ADD KEY `session_id` (`session_id`),
  ADD KEY `user_id` (`user_id`),
  ADD KEY `active` (`active`);

ALTER TABLE `_user_transaction`
  ADD PRIMARY KEY (`ID`),
  ADD KEY `user_id` (`user_id`),
  ADD KEY `data_txn_id` (`data_txn_id`),
  ADD KEY `order_no` (`order_no`),
  ADD KEY `completed` (`completed`),
  ADD KEY `time_add` (`time_add`),
  ADD KEY `time_completed` (`time_completed`),
  ADD KEY `paid` (`paid`);

ALTER TABLE `_user_uploads`
  ADD PRIMARY KEY (`ID`),
  ADD KEY `userID` (`userID`,`uploadID`),
  ADD KEY `time_add` (`time_add`);


ALTER TABLE `_blocked_ips`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `_curl_cache`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `_debug`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `_emails`
  MODIFY `ID` int(6) NOT NULL AUTO_INCREMENT;

ALTER TABLE `_hits`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

ALTER TABLE `_langs`
  MODIFY `ID` int(6) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=444;

ALTER TABLE `_m_albums`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `_m_artists`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `_m_genres`
  MODIFY `ID` int(4) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

ALTER TABLE `_m_sources`
  MODIFY `ID` int(6) NOT NULL AUTO_INCREMENT;

ALTER TABLE `_m_tracks`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `_setting_ads`
  MODIFY `ID` int(6) NOT NULL AUTO_INCREMENT;

ALTER TABLE `_setting_menu`
  MODIFY `ID` int(3) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

ALTER TABLE `_setting_page`
  MODIFY `ID` int(4) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

ALTER TABLE `_setting_page_widgets`
  MODIFY `ID` int(3) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=32;

ALTER TABLE `_setting_theme`
  MODIFY `ID` int(4) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=20;

ALTER TABLE `_users`
  MODIFY `ID` int(7) NOT NULL AUTO_INCREMENT;

ALTER TABLE `_user_actions`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `_user_artist_reqs`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `_user_comments`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `_user_downloads`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `_user_groups`
  MODIFY `ID` int(2) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

ALTER TABLE `_user_heard`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `_user_playlists`
  MODIFY `ID` int(6) NOT NULL AUTO_INCREMENT;

ALTER TABLE `_user_purchases`
  MODIFY `ID` int(6) NOT NULL AUTO_INCREMENT;

ALTER TABLE `_user_reports`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `_user_sessions`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `_user_transaction`
  MODIFY `ID` int(7) NOT NULL AUTO_INCREMENT;

ALTER TABLE `_user_uploads`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT;


ALTER TABLE `_langs` DROP `ID`;
ALTER TABLE `_langs` ADD `ID` INT NOT NULL AUTO_INCREMENT FIRST, ADD PRIMARY KEY (`ID`);

ALTER TABLE `_setting_ads` CHANGE `ID` `ID` INT(6) NOT NULL AUTO_INCREMENT, CHANGE `files` `files` TEXT CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL, CHANGE `url` `url` TINYTEXT CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL, CHANGE `fund_total` `fund_total` FLOAT NULL DEFAULT NULL, CHANGE `fund_remain` `fund_remain` FLOAT NULL DEFAULT NULL, CHANGE `time_add` `time_add` TIMESTAMP NULL DEFAULT CURRENT_TIMESTAMP;
ALTER TABLE `_setting_ads` ADD `code` MEDIUMTEXT NULL DEFAULT NULL AFTER `url`;

INSERT INTO `_langs` (`ID`, `hook`, `lang`, `text`, `time_add`) VALUES (NULL, 'collabs', 'en', 'collabs', CURRENT_TIMESTAMP);
INSERT INTO `_langs` (`ID`, `hook`, `lang`, `text`, `time_add`) VALUES (NULL, 'cover_image', 'en', 'Cover image', CURRENT_TIMESTAMP);
INSERT INTO `_langs` (`ID`, `hook`, `lang`, `text`, `time_add`) VALUES (NULL, 'collab_tip', 'en', 'You can allow other users to add or remove tracks from this playlist. Enter username(s) comma separated. Example: admin,user1,user2', CURRENT_TIMESTAMP);
INSERT INTO `_langs` (`ID`, `hook`, `lang`, `text`, `time_add`) VALUES (NULL, 'edit_playlist', 'en', 'Edit playlist', CURRENT_TIMESTAMP);
INSERT INTO `_langs` (`ID`, `hook`, `lang`, `text`, `time_add`) VALUES (NULL, 'ts_random_track', 'en', 'Random Tracks', CURRENT_TIMESTAMP);
INSERT INTO `_langs` (`ID`, `hook`, `lang`, `text`, `time_add`) VALUES (NULL, 'pt_user_heard', 'en', 'User listened to', CURRENT_TIMESTAMP);
INSERT INTO `_langs` (`ID`, `hook`, `lang`, `text`, `time_add`) VALUES (NULL, 'new_ad', 'en', 'new campaign', CURRENT_TIMESTAMP);
INSERT INTO `_langs` (`ID`, `hook`, `lang`, `text`, `time_add`) VALUES (NULL, 'type', 'en', 'type', CURRENT_TIMESTAMP), (NULL, 'target', 'en', 'target', CURRENT_TIMESTAMP);
INSERT INTO `_langs` (`ID`, `hook`, `lang`, `text`, `time_add`) VALUES (NULL, 'fund_total', 'en', 'Total Funds', CURRENT_TIMESTAMP), (NULL, 'fund_remain', 'en', 'Remaining Funds', CURRENT_TIMESTAMP);
INSERT INTO `_langs` (`ID`, `hook`, `lang`, `text`, `time_add`) VALUES (NULL, 'clicks', 'en', 'clicks', CURRENT_TIMESTAMP), (NULL, 'views', 'en', 'views', CURRENT_TIMESTAMP);
INSERT INTO `_langs` (`ID`, `hook`, `lang`, `text`, `time_add`) VALUES (NULL, 'paused', 'en', 'paused', CURRENT_TIMESTAMP);
INSERT INTO `_langs` (`ID`, `hook`, `lang`, `text`, `time_add`) VALUES (NULL, 'finished', 'en', 'finished', CURRENT_TIMESTAMP);
INSERT INTO `_langs` (`ID`, `hook`, `lang`, `text`, `time_add`) VALUES (NULL, 'rejected', 'en', 'rejected', CURRENT_TIMESTAMP);
INSERT INTO `_langs` (`ID`, `hook`, `lang`, `text`, `time_add`) VALUES (NULL, 'content', 'en', 'content', CURRENT_TIMESTAMP);
INSERT INTO `_langs` (`ID`, `hook`, `lang`, `text`, `time_add`) VALUES (NULL, 'ad_name', 'en', 'Campaign Name', CURRENT_TIMESTAMP);
INSERT INTO `_langs` ( hook, lang, text )VALUES( 'ad_tip13', 'en', 'Banner image. Might hide some part in order to fit into size' );
INSERT INTO `_langs` ( hook, lang, text )VALUES( 'ad_tip12', 'en', 'Banner Image' );
INSERT INTO `_langs` ( hook, lang, text )VALUES( 'ad_tip11', 'en', 'Small , click-able banner image that will be displayed when audio is playing' );
INSERT INTO `_langs` ( hook, lang, text )VALUES( 'ad_tip10', 'en', 'Banner Image' );
INSERT INTO `_langs` ( hook, lang, text )VALUES( 'ad_tip9', 'en', 'Maximum 30 seconds. Must be high quality in low size' );
INSERT INTO `_langs` ( hook, lang, text )VALUES( 'ad_tip8', 'en', 'Where should we display this ad?' );
INSERT INTO `_langs` ( hook, lang, text )VALUES( 'ad_tip7', 'en', 'Audio File' );
INSERT INTO `_langs` ( hook, lang, text )VALUES( 'ad_tip6', 'en', 'Placement' );
INSERT INTO `_langs` ( hook, lang, text )VALUES( 'ad_tip5', 'en', 'Choose ad type' );
INSERT INTO `_langs` ( hook, lang, text )VALUES( 'ad_tip4', 'en', 'Destination URL Address' );
INSERT INTO `_langs` ( hook, lang, text )VALUES( 'ad_tip3', 'en', 'Maximum fund per day' );
INSERT INTO `_langs` ( hook, lang, text )VALUES( 'ad_tip2', 'en', 'Will be taken from your account fund' );
INSERT INTO `_langs` (`ID`, `hook`, `lang`, `text`, `time_add`) VALUES (NULL, 'ad_tip14', 'en', 'Banner - Pay per view', CURRENT_TIMESTAMP);
INSERT INTO `_langs` (`ID`, `hook`, `lang`, `text`, `time_add`) VALUES (NULL, 'ad_tip16', 'en', 'Audio - Pay per impression', CURRENT_TIMESTAMP);
INSERT INTO `_langs` (`ID`, `hook`, `lang`, `text`, `time_add`) VALUES (NULL, 'ad_tip15', 'en', 'Banner - Pay per click', CURRENT_TIMESTAMP);
