DROP TABLE IF EXISTS `_emails`;
CREATE TABLE IF NOT EXISTS `_emails` (
  `ID` int(6) NOT NULL AUTO_INCREMENT,
  `user_id` int(7) DEFAULT NULL,
  `type_id` int(3) DEFAULT NULL,
  `to` varchar(100) COLLATE utf8mb4_bin NOT NULL,
  `subject` varchar(300) COLLATE utf8mb4_bin NOT NULL,
  `content` text COLLATE utf8mb4_bin,
  `time_add` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`ID`)
) ENGINE=MyISAM AUTO_INCREMENT=47 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

DROP TABLE IF EXISTS `_setting_ads`;
CREATE TABLE IF NOT EXISTS `_setting_ads` (
  `ID` int(6) NOT NULL AUTO_INCREMENT,
  `user_id` int(7) NOT NULL,
  `order_no` varchar(10) COLLATE utf8mb4_bin DEFAULT NULL,
  `type` varchar(10) COLLATE utf8mb4_bin NOT NULL,
  `name` tinytext COLLATE utf8mb4_bin NOT NULL,
  `files` text COLLATE utf8mb4_bin NOT NULL,
  `url` tinytext COLLATE utf8mb4_bin NOT NULL,
  `placements` mediumtext COLLATE utf8mb4_bin,
  `fund_total` float NOT NULL,
  `fund_spent` float DEFAULT '0',
  `fund_remain` float NOT NULL,
  `fund_limit` float DEFAULT NULL,
  `fund_spent_day` float DEFAULT '0',
  `fund_spent_day_code` int(6) DEFAULT NULL,
  `act_clicks` int(11) DEFAULT '0',
  `act_views` int(11) DEFAULT '0',
  `time_add` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `time_update` timestamp NULL DEFAULT NULL,
  `active` int(11) NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `get_4_display` (`type`,`fund_remain`,`fund_limit`,`fund_spent_day`,`fund_spent_day_code`,`active`) USING BTREE,
  KEY `type` (`type`),
  KEY `user_id` (`user_id`),
  KEY `order_no` (`order_no`),
  KEY `order_no_2` (`order_no`,`active`),
  KEY `active` (`active`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

DROP TABLE IF EXISTS `_setting_ads_placements`;
CREATE TABLE IF NOT EXISTS `_setting_ads_placements` (
  `ad_id` int(6) NOT NULL,
  `placement_code` varchar(14) COLLATE utf8mb4_bin NOT NULL,
  PRIMARY KEY (`ad_id`,`placement_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

DROP TABLE IF EXISTS `_user_relations`;
CREATE TABLE IF NOT EXISTS `_user_relations` (
  `user_id` int(7) NOT NULL,
  `rel_type` int(2) NOT NULL,
  `target_id` int(9) NOT NULL,
  PRIMARY KEY (`user_id`,`rel_type`,`target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

DROP TABLE IF EXISTS `_user_reports`;
CREATE TABLE IF NOT EXISTS `_user_reports` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(7) NOT NULL,
  `type` int(2) NOT NULL,
  `hook` int(9) NOT NULL,
  `reason` mediumtext COLLATE utf8mb4_bin,
  `dismissed` int(1) DEFAULT NULL,
  `time_add` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`ID`),
  KEY `user_id` (`user_id`),
  KEY `id_type_hook` (`user_id`,`type`,`hook`) USING BTREE,
  KEY `type_hook` (`type`,`hook`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

ALTER TABLE `_users` CHANGE `feed_setting` `feed_setting` TINYTEXT CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL;
ALTER TABLE `_users` ADD `not_setting` TINYTEXT NULL DEFAULT NULL AFTER `feed_setting`, ADD `email_setting` TINYTEXT NULL DEFAULT NULL AFTER `not_setting`;
ALTER TABLE `_users` ADD `comments` INT(6) NULL DEFAULT '0' AFTER `followings`, ADD `comments_likes` INT(6) NULL DEFAULT '0' AFTER `comments`, ADD `comments_replied` INT(6) NULL DEFAULT '0' AFTER `comments_likes`, ADD `media_comments` INT(7) NULL DEFAULT '0' AFTER `comments_replied`, ADD `media_likes` INT(7) NULL DEFAULT '0' AFTER `media_comments`, ADD `media_uploads` INT(6) NULL DEFAULT '0' AFTER `media_likes`;
ALTER TABLE `_users` ADD `likes` INT(7) NULL DEFAULT '0' AFTER `followings`, ADD `reposts` INT(7) NULL DEFAULT '0' AFTER `likes`;
ALTER TABLE `_users` ADD `fund_total` FLOAT NULL DEFAULT '0' AFTER `fund`;
ALTER TABLE `_users` ADD `playlists` INT(5) NULL DEFAULT '0' AFTER `media_uploads`, ADD `playlists_likes` INT(7) NULL DEFAULT '0' AFTER `playlists`, ADD `playlists_followers` INT(7) NULL DEFAULT '0' AFTER `playlists_likes`;
ALTER TABLE `_users` ADD `fund_revenue` FLOAT NULL DEFAULT '0' AFTER `fund_total`;
ALTER TABLE `_users` ADD `time_notified` TIMESTAMP NULL DEFAULT NULL AFTER `time_paid_expire`;
ALTER TABLE `_user_comments` ADD `PID` INT(11) NULL DEFAULT NULL AFTER `ID`;
ALTER TABLE `_user_comments` ADD INDEX( `PID` );
ALTER TABLE `_user_comments`  ADD `depth` INT(1) NULL DEFAULT '1'  AFTER `approved`;
ALTER TABLE `_user_comments` ADD `likes` INT(6) NULL DEFAULT '0' AFTER `text`;
ALTER TABLE `_user_playlists` ADD `likes` INT(7) NULL DEFAULT '0' AFTER `track_count`, ADD `followers` INT(7) NULL DEFAULT '0' AFTER `likes`;
ALTER TABLE `_user_playlists` CHANGE `time_update` `time_update` TIMESTAMP NULL DEFAULT CURRENT_TIMESTAMP;
ALTER TABLE `_user_playlists` ADD `cover` TINYTEXT NULL DEFAULT NULL AFTER `url`;
ALTER TABLE `_user_playlists` ADD `views` INT NULL DEFAULT '0' AFTER `followers`;
ALTER TABLE `_user_playlists` ADD `collabs` TEXT NULL DEFAULT NULL AFTER `views`;
ALTER TABLE `_user_playlists_relations` ADD `sort` INT(4) NULL DEFAULT NULL AFTER `track_id`;
ALTER TABLE `_m_artists` ADD `followers` INT(7) NULL DEFAULT '0' AFTER `views`;
ALTER TABLE `_m_artists` ADD `time_release` TIMESTAMP NULL DEFAULT NULL AFTER `time_play`;
ALTER TABLE `_m_artists` ADD `time_release_check` TIMESTAMP NULL DEFAULT NULL AFTER `time_play`;
ALTER TABLE `_m_albums` ADD `likes` INT(7) NULL DEFAULT '0' AFTER `views`;
ALTER TABLE `_user_actions` CHANGE `user_id` `user_id` INT(7) NULL DEFAULT NULL;
ALTER TABLE `_user_actions` ADD `extraData` TINYTEXT CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL AFTER `AID`;
ALTER TABLE `_user_actions` ADD `user_id_2` INT(7) NULL DEFAULT NULL AFTER `user_id`;
ALTER TABLE `_user_groups` ADD `notification_access` INT(1) NULL DEFAULT '0' AFTER `language_access`;
ALTER TABLE `_user_groups` ADD `advertisement_access` INT(1) NULL DEFAULT '0' AFTER `notification_access`;
ALTER TABLE `_user_groups` ADD `hide_advertisement_access` INT(1) NULL DEFAULT '0' AFTER `advertisement_access`;
ALTER TABLE `_user_groups` ADD `hq_audio_access` INT(1) NULL DEFAULT '0'  AFTER `hide_advertisement_access`;
UPDATE _user_groups SET notification_access = 1, advertisement_access = 1 WHERE ID IN ( 1,2,3,4 );
ALTER TABLE `_setting_page_widgets` ADD INDEX( `widget_type`);

INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('rec_type_68', 'en', '$user$ reported a track');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('rec_type_74', 'en', '$user$ uploaded a new track');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('rec_type_73', 'en', '$user$ made a new purchase');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('rec_type_70', 'en', '$user$ requested artist verification');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('rec_type_69', 'en', '$user$ created a new advertisement campaign');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('not_new_upload', 'en', 'New upload');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('not_new_purchase', 'en', 'New purchase');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('not_new_comment', 'en', 'New comment');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('not_new_user', 'en', 'New user');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('not_new_report', 'en', 'New Track Report');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('not_new_advertisement', 'en', 'New Advertisement Campaign');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('not_new_artist_request', 'en', 'New artist verification request');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('not_new_artist_withdrawal', 'en', 'New artist withdrawal request');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('not_new_payment', 'en', 'New payment');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('rec_type_72', 'en', '$user$ submitted new payment with amount of $amount$');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('rec_type_66', 'en', '$user$ made a new comment');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('rec_type_67', 'en', '$user$ signed up');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('rec_type_71', 'en', '$user$ request fund withdrawal');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('already_done', 'en', 'Already done');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('cant_like_own_cm', 'en', 'You can\'t like your own comments!');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('act_type_1', 'en', '$user$ liked track $track$ from $artist$');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('act_type_2', 'en', '$user$ reposted track $track$ from $artist$');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('subscribe', 'en', 'subscribe');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('act_type_3', 'en', '$user$ uploaded track $track$ from $artist$');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('act_type_5', 'en', '$user$ commented on track $track$ from $artist$');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('act_type_8', 'en', '$user$ liked $target$\'s comment on $track$');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('act_type_6', 'en', '$user$ started following user $target$');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('unsubscribe', 'en', 'unsubscribe');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('act_type_10', 'en', '$user$ subscribed to artist $artist$');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('act_type_12', 'en', '$user$ subscribed to playlist $playlist$ created by user $target$');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('act_type_13', 'en', '$user$ liked playlist $playlist$ created by user $target$');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('act_type_14', 'en', '$user$ liked album $album$ from $artist$');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('rec_type_1', 'en', '$user$ liked $track$');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('rec_type_8', 'en', '$user$ liked your comment on $track$');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('rec_type_13', 'en', '$user$ liked your playlist $playlist$');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('rec_type_14', 'en', '$user$ liked $album$');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('rec_type_6', 'en', '$user$ started following you');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('rec_type_12', 'en', '$user$ subscribed to playlist $playlist$');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('rec_type_2', 'en', '$user$ reposted $track$');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('subscribers', 'en', 'subscribers');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('act_type_15', 'en', '$user$ updated playlist $playlist$');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('rec_type_11', 'en', 'playlist $playlist$ just got updated');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('rec_type_4', 'en', '$user$ made a comment on $track$');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('rec_type_7', 'en', '$user$ replied to your comment on $track$');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('rec_type_9', 'en', '$user$ mentioned you in a comment on $track$');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('no_nots_yet', 'en', 'Nothing to see');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('rec_type_16', 'en', '$artist$ has a new release');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('rec_type_18', 'en', 'Your payment was successful and $amount$$currency$ was added to your wallet');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('rec_type_19', 'en', '$user$ purchased track $track$');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('act_type_19', 'en', '$user$ purchased track $track$ from $artist$');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('rec_type_20', 'en', '$user$ purchased album $album$');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('act_type_20', 'en', '$user$ purchased album $album$ from $artist$');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('rec_type_21', 'en', 'You are VIP now!');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('username_no_exists', 'en', 'username:$username$ doesn\'t exists');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('rec_type_24', 'en', '$user$ got collabed in playlist $playlist$');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('act_type_24', 'en', '$user$ is now collabing in playlist $playlist$');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('rec_type_25', 'en', 'You are now a collab of playlist $playlist$');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('sls_separator', 'en', 'or use your account');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('us_change_username', 'en', 'Change Username');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('us_advertising', 'en', 'Advertising');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('rec_type_26', 'en', 'Your advertisement is now active');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('bought_ads', 'en', 'Advertising');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('no_ads_yet', 'en', 'No ads yet');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('banner_c', 'en', 'Banner - PayPerClick');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('banner_v', 'en', 'Banner - PayPerView');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('audio_v', 'en', 'Audio - PayPerImpression');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('pl_track_page', 'en', '`Track` page');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('not_like_track', 'en', 'New track like');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('not_repost_track', 'en', 'New track repost');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('not_follow_user', 'en', 'New follower');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('not_like_comment', 'en', 'Comment got liked');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('not_follow_playlist', 'en', 'New playlist follower');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('not_like_playlist', 'en', 'New playlist like');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('not_like_album', 'en', 'New album like');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('not_purchased_track', 'en', 'New track purchase');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('not_purchased_album', 'en', 'New album purchase');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('not_collab_playlist', 'en', 'New playlist collaborator');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('not_collabed_playlist', 'en', 'New playlist as collaborator');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('not_purchased_ads', 'en', 'New active advertisement');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('not_commented_track', 'en', 'New track comment');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('not_commented_comment', 'en', 'New comment reply');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('not_mentioned_comment', 'en', 'New comment mention');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('not_updated_playlist', 'en', 'New subscribed playlist update');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('not_updated_artist', 'en', 'New subscribed artist update');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('not_purchased_receipt', 'en', 'New approved payment');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('not_purchased_vip', 'en', 'New panel upgrade');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('feed_like_track', 'en', 'User liked a track');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('feed_repost_track', 'en', 'User reposted a track');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('feed_upload_track', 'en', 'User uploaded a track');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('feed_comment_track', 'en', 'User commented a track');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('feed_follow_user', 'en', 'User followed user');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('feed_like_comment', 'en', 'User liked a comment');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('feed_follow_artist', 'en', 'User subscribed to artist');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('feed_follow_playlist', 'en', 'User subscribed to playlist');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('feed_like_playlist', 'en', 'Usesr liked a playlist');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('feed_like_album', 'en', 'User liked an album');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('feed_update_playlist', 'en', 'User updated a playlist');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('feed_purchased_track', 'en', 'User purchased a track');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('feed_purchased_album', 'en', 'User purchased an album');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('feed_collab_playlist', 'en', 'User collaborating in playlist');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('ml_verify', 'en', 'Hi there. Please click on this link to complete your registration <br><a href=\'$link$\'>$link$</a>');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('mls_verify', 'en', 'Verification Link');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('ml_recover', 'en', 'Hi there. Click on this link or copy paste it into your browser to recover your account <br><a href=\'$link$\'>$link$</a>');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('mls_recover', 'en', 'Recover your account');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES('rec_type_17', 'en', 'Hi there! Welcome. You are now officially a member and can enjoy our features');
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES ( 'not_welcome_user', 'en', 'Welcome message' );
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES ( 'stripe', 'en', 'Stripe' );
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES ( 'no_pay_method', 'en', 'Payment is disabled' );
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES ( 'pl_artist_page', 'en', '`Artist` page' );
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES ( 'pl_album_page', 'en', '`Album` page' );
INSERT INTO `_langs` ( `hook`, `lang`, `text` ) VALUES ( 'pl_playlist_page', 'en', '`Playlist` page' );

INSERT INTO `_setting_admin` VALUES('ua_act', '1,2,24,20,19,14,13,12,8,6,15,10,5,3', '2021-03-22 14:52:36');
INSERT INTO `_setting_admin` VALUES('ua_not', '67,68,69,70,71,72,73,66,74,4,17,11,26,25,16,18,21,7,9,1,2,24,20,19,14,13,12,8,6', '2021-03-22 14:52:36');
INSERT INTO `_setting_admin` VALUES('ua_feed', '1,2,24,20,19,14,13,12,8,6,15,10,5,3', '2021-03-22 14:52:36');
INSERT INTO `_setting_admin` VALUES('ua_email', '67,68,69,70,71,72,73,66,74,4,17,11,26,25,16,18,21,7,9,1,2,24,20,19,14,13,12,8,6', '2021-03-22 14:52:36');
INSERT INTO `_setting_admin` VALUES('admin_ids', '1', '2021-03-22 14:52:36');
INSERT INTO `_setting_admin` VALUES('sl_fb', '0', '2021-03-22 14:52:22');
INSERT INTO `_setting_admin` VALUES('sl_ig', '0', '2021-03-22 14:52:22');
INSERT INTO `_setting_admin` VALUES('sl_tw', '0', '2021-03-22 14:52:22');
INSERT INTO `_setting_admin` VALUES('sl_ggl', '0', '2021-03-22 14:52:22');
INSERT INTO `_setting_admin` VALUES('sl_fb_k1', '', '2021-03-22 14:52:22');
INSERT INTO `_setting_admin` VALUES('sl_fb_k2', '', '2021-03-22 14:52:22');
INSERT INTO `_setting_admin` VALUES('sl_tw_k1', '', '2021-03-22 14:52:22');
INSERT INTO `_setting_admin` VALUES('sl_tw_k2', '', '2021-03-22 14:52:22');
INSERT INTO `_setting_admin` VALUES('aws_key', '', '2021-03-22 14:51:50');
INSERT INTO `_setting_admin` VALUES('ftp_path', '', '2021-03-22 14:51:50');
INSERT INTO `_setting_admin` VALUES('aws_bucket', '', '2021-03-22 14:51:50');
INSERT INTO `_setting_admin` VALUES('aws_region', '', '2021-03-22 14:51:50');
INSERT INTO `_setting_admin` VALUES('aws_secret', '', '2021-03-22 14:51:50');
INSERT INTO `_setting_admin` VALUES('ftp_address', '', '2021-03-22 14:51:50');
INSERT INTO `_setting_admin` VALUES('aws_endpoint', '', '2021-03-22 14:51:50');
INSERT INTO `_setting_admin` VALUES('ftp_password', '', '2021-03-22 14:51:50');
INSERT INTO `_setting_admin` VALUES('ftp_username', '', '2021-03-22 14:51:50');
INSERT INTO `_setting_admin` VALUES('ftp_web_address', '', '2021-03-22 14:51:50');
INSERT INTO `_setting_admin` VALUES('pg_pp_sb', 'sandbox', '2021-03-22 14:49:44');
INSERT INTO `_setting_admin` VALUES('currency_format', '%CURRENCY%%.1f', '2021-03-18 12:25:16');
INSERT INTO `_setting_admin` VALUES('ftp', '0', '2021-03-18 10:10:55');
INSERT INTO `_setting_admin` VALUES('aws_protect', '1', '2021-03-18 10:01:36');
INSERT INTO `_setting_admin` VALUES('pg_st', '0', '2021-03-14 12:31:41');
INSERT INTO `_setting_admin` VALUES('pg_st_k2', '', '2021-03-14 12:31:39');
INSERT INTO `_setting_admin` VALUES('pg_pp_k1', '', '2021-03-14 12:31:38');
INSERT INTO `_setting_admin` VALUES('pg_pp_k2', '', '2021-03-14 12:31:38');
INSERT INTO `_setting_admin` VALUES('pg_pp', '0', '2021-03-14 12:31:06');
INSERT INTO `_setting_admin` VALUES('pg_op', '1', '2021-03-14 12:30:51');
INSERT INTO `_setting_admin` VALUES('ad_audio_iv', '3', '2021-03-14 12:30:45');
INSERT INTO `_setting_admin` VALUES('audio_v_cost', '0.06', '2021-03-14 12:30:35');
INSERT INTO `_setting_admin` VALUES('banner_c_cost', '0.05', '2021-03-14 12:30:35');
INSERT INTO `_setting_admin` VALUES('banner_v_cost', '0.01', '2021-03-14 12:30:35');
INSERT INTO `_setting_admin` VALUES('pg_st_k1', '', '2021-03-14 12:12:58');
INSERT INTO `_setting_admin` VALUES('ffmpeg_convert', '128', '2021-03-14 10:23:51');
INSERT INTO `_setting_admin` VALUES('ads_hide_bot', '1', '2021-03-14 09:08:53');
INSERT INTO `_setting_admin` VALUES('ads_approved', '0', '2021-03-13 04:03:59');
INSERT INTO `_setting_admin` VALUES('sl_ig_k1', '', '2021-03-10 02:05:47');
INSERT INTO `_setting_admin` VALUES('sl_ig_k2', '', '2021-03-10 02:05:47');
INSERT INTO `_setting_admin` VALUES('sl_ggl_k1', '', '2021-03-10 02:05:47');
INSERT INTO `_setting_admin` VALUES('sl_ggl_k2', '', '2021-03-10 02:05:47');
INSERT INTO `_setting_admin` VALUES('aws', '0', '2021-03-07 21:36:59');
INSERT INTO `_setting_admin` VALUES('ftp_ssl', '0', '2021-03-07 00:03:20');
INSERT INTO `_setting_admin` VALUES('ftp_port', '21', '2021-03-06 20:33:15');

INSERT INTO `_setting_theme` ( `theme`, `var`, `val` ) VALUES( 'shady', 'signature', '© 2021 Busyowl. Signature text here' );
INSERT INTO `_setting_theme` ( `theme`, `var`, `val` ) VALUES( 'shady', 'font-family', 'Montserrat' );

DELETE FROM `_langs` WHERE `hook` IN ('ml_funded','mls_funded','ml_artist_sell','mls_artist_sell','ml_ad_pay_req','ml_ad_artist_req','mls_ad_pay_req','mls_ad_artist_req','mls_ad_trans','ml_ad_trans');

COMMIT;
