---
title: Help & Support - AmplitudeJS Documentation
meta:
  - name: description
    content: Amplitude.js is the HTML5 audio player for the modern era. Using no dependencies, take control of the browser and design a web audio player the way you want it to look.
  - name: og:locale
    content: en_US
  - name: og:type
    content: website
  - name: og:title
    content: Amplitude.js The Open Source HTML5 Audio Player for the Modern Era
  - name: og:description
    content: Amplitude.js is the open source HTML5 audio player for the modern era. Using no dependencies, take control of the browser and design an audio player the way you want it to look.
  - name: og:url
    content: https://521dimensions.com/open-source/amplitudejs/docs/help-and-support/
  - name: og:site_name
    content: Amplitude.js
  - name: og:image
    content: https://521dimensions.com/img/open-source/amplitudejs/og-image-amplitudejs.png
  - name: og:image:width
    content: 1200
  - name: og:image:height
    content: 630
  - name: twitter:card
    content: summary_large_image
  - name: twitter:description
    content: Amplitude.js is the open source HTML5 audio player for the modern era. Using no dependencies, take control of the browser and design an audio player the way you want it to look. Available for free on Github.
  - name: twitter:title
    content: Amplitude.js The HTML Audio Player for the Modern Era
  - name: twitter:site
    content: "@521dimensions"
  - name: twitter:image
    content: https://521dimensions.com/img/open-source/amplitudejs/og-image-amplitudejs.png
  - name: creator
    content: "@521dimensions"
---

## Community Support
<carbon-ads/>
Since AmplitudeJS is open sourced under the MIT license, any participating member can assist you with your support question. [Learn more about Community Support &rarr;](https://521dimensions.com/open-source/amplitudejs/docs/get-help/#community-support)

## Professional Support
If you would like to get in touch directly with the creators of AmplitudeJS or if you have a more time sensitive request, you can contact the creators directly. [Get Professional Support &rarr;](https://521dimensions.com/open-source/amplitudejs/docs/get-help/#professional-support)

## Demos & Examples
We have a number of demos and examples available for you to freely use. [View the demos &rarr;](https://521dimensions.com/open-source/amplitudejs/docs/examples/)

## Tutorials
We use [ServerSideUp](https://serversideup.net) for all of our tutorials. [See all of the tutorials &rarr;](https://serversideup.net/search/?tags=amplitudejs&type=all)

## Asking for support
If you need help, here are a few tips:

1. Be polite: You'd be shocked how many people demand everything for nothing.
2. Keep other people's time in mind: **The most time consuming part of fixing a bug is replicating it.** Half-assed bug reports, will get half-assed responses (or even just simply closed if you ignored submitting the detail we clearly ask for). The more detail you can share, the better. 

Here is how you can make this process much easier for everyone:

### 1. Tell us what version you are running
You can find your version by running [Amplitude.getVersion()](https://521dimensions.com/open-source/amplitudejs/docs/functions/#get-version) in your browser console.

![Get Version](./GetVersion.png)

### 2. Submit a public URL where the bug is happening
Give us a link where you are experiencing the issue. It's really hard to help you if we can't see what you are looking at 😀

### 3. Tell us what device you are having issues with
You can easily do this by visiting [https://www.whatsmybrowser.org/](https://www.whatsmybrowser.org/) from the device that you are having issues with. Once there, it will generate a "support URL" for you. We just need that URL and it will give us everything we need to know about your device to help you.

![What's My Browser](https://raw.githubusercontent.com/521dimensions/amplitudejs/master/docs/help-and-support/BrowserInfo.png)